/**
 * @api {post} /3m/meeting/apply_test_site.do 17.申请创建试用站点
 * @apiName apply_test_site
 * @apiGroup site
 * @apiVersion 2.1.0
 * @apiDescription 申请创建试用站点
 *
 * @apiParam {String} siteId 站点标识
 * @apiParam {String} parentSiteId 所属站点标识
 * @apiParam {String} beginTime 站点启用日期 yyyy-mm-dd
 * @apiParam {int} stype=0 产品授权方式： 0 试用用户， 1 正式用户
 * @apiParam {String} [password] 站点管理员的密码，不填时随机生成
 * @apiParam {String} email 申请人邮箱
 * @apiParam {Long} timestamp 时间戳
 * @apiParam {String} authId MD5(key+parentSiteId+timestamp), 其中 key 为与系统约定的加密 key
 *
 * @apiSuccess {int} errorCode
 * 0：正常 <br/>
 * 1：所属站点不存在或已删除 <br/>
 * 2：所属站点未到生效日期 <br/>
 * 3: 所属站点过期 <br/>
 * 4：authId 错误 <br/>
 * 5：authId 不能重复使用 <br/>
 * 6：timestamp 超时 <br/>
 * 7：站点模板不存在 <br/>
 * 8：siteId已存在 <br/>
 * 9：siteId 不能为空 <br/>
 * 10：parentSiteId 不能为空 <br/>
 * 11：timestamp 不能为空 <br/>
 * 12：authId 不能为空 <br/>
 * 13：beginTime 不能为空 <br/>
 * 14：email 不能为空 <br/>
 * 15：email 格式不正确 <br/>
 * 16：beginTime 格式不正确 <br/>
 * 17：stype 不能为空 <br/>
 * 18：stype 格式不正确 <br/>
 * @apiSuccess {String} msg 错误信息
 * @apiSuccess {Object} data 详细信息
 * @apiSuccess {String} data.siteId 站点标识
 * @apiSuccess {String} data.siteKey 站点 Key
 * @apiSuccess {String} data.username 站点管理员用户名
 * @apiSuccess {String} data.password 站点管理员密码
 *
 * @apiParamExample {xml} 请求示例
 &lt;?xml version="1.0" encoding="UTF-8"?&gt;
 &lt;param&gt;
     &lt;siteId&gt;childSite&lt;/siteId&gt;
     &lt;parentSiteId&gt;parent&lt;/parentSiteId&gt;
     &lt;timestamp&gt;111&lt;/timestamp&gt;
     &lt;authId&gt;111&lt;/authId&gt;
     &lt;beginTime&gt;2016-01-01&lt;/beginTime&gt;
     &lt;stype&gt;1&lt;/stype&gt;
     &lt;email&gt;xxx@yyy.com&lt;/email&gt;
 &lt;/param&gt;
 *
 * @apiSuccessExample {xml} 返回示例
 &lt;?xml version="1.0" encoding="UTF-8"?&gt;
 &lt;result&gt;
     &lt;errcode&gt;0&lt;/errcode&gt;
     &lt;msg&gt;操作成功&lt;/msg&gt;
     &lt;data&gt;
         &lt;siteid&gt;ceshi3&lt;/siteid&gt;
         &lt;sitekey&gt;297e92ae4e2af258014e2af258ac0000&lt;/sitekey&gt;
         &lt;username&gt;admin&lt;/username&gt;
         &lt;password&gt;admin&lt;/password&gt;
     &lt;/data&gt;
 &lt;/result&gt;
 *
 */
