/**
 * @api {post} /3m/meeting/conf_status.do 09.查询课堂的状态
 * @apiName conf_status
 * @apiGroup classroom
 * @apiVersion 2.1.0
 * @apiDescription 查询课堂的状态，仅供参考，未必准确
 *
 * @apiParam {String} siteId 站点标识
 * @apiParam {String} mtgKey 课堂标识
 * @apiParam {Long} timestamp 时间戳
 * @apiParam {String} authId MD5(key+siteId+mtgKey+timestamp)
 *
 * @apiParamExample {xml} 请求示例
 &lt;?xml version="1.0" encoding="UTF-8"?&gt;
 &lt;param&gt;
 &lt;siteId&gt;shanghai&lt;/siteId&gt;
 &lt;mtgKey&gt;10002321&lt;/mtgKey&gt;
 &lt;timestamp&gt;1392032123210&lt;/timestamp&gt;
 &lt;authId&gt;4297f44b13955235245b2497399d7a93&lt;/authId&gt;
 &lt;/param&gt;
 *
 * @apiSuccess {int} errorCode
 * 0：正常 <br/>
 * 1：siteId 错误，站点不存在或已删除 <br/>
 * 2：站点未到生效日期 <br/>
 * 3: 站点过期 <br/>
 * 4：authId 错误 <br/>
 * 6：timestamp 超时 <br/>
 * 7：mtgKey 不存在 <br/>
 * 10：报文格式错误 <br/>
 * @apiSuccess {String} mtgKey 传入的值
 * @apiSuccess {int} status 课堂的状态：<br/>
 * 0 课堂正在创建 <br/>
 * 1 课堂处于预约状态 <br/>
 * 2 课堂正在进行中 <br/>
 * 3 课堂已经取消 <br/>
 * 4 课堂已经结束 <br/>
 *
 * @apiSuccessExample {xml} 返回示例
 &lt;?xml version=“1.0” encoding="UTF-8"?&gt;
 &lt;result&gt;
 &lt;errorCode&gt;0&lt;/errorCode&gt;
 &lt;mtgKey&gt;10002321&lt;/mtgKey&gt;
 &lt;status&gt;2&lt;/status&gt;
 &lt;/result&gt;
 *
 */
