/**
 * @api {post} /3m/meeting/del_document.do 24.删除文档
 * @apiName del_document
 * @apiGroup doc
 * @apiVersion 2.1.0
 * @apiDescription 删除文档
 *
 * @apiParam {String} siteId 站点标识
 * @apiParam {Long} timestamp 时间戳
 * @apiParam {String} authId MD5(key+siteId+timestamp), 其中 key 为与系统约定的加密 key
 * @apiParam {String} documentId 文档 id
 *
 * @apiParamExample {xml} 请求示例
 &lt;?xml version="1.0" encoding="UTF-8"?&gt;
 &lt;param&gt;
     &lt;siteId&gt;admin&lt;/siteId&gt;
     &lt;documentId&gt;402880f44fbb13e4014fbb1a0f9d0002&lt;/documentId&gt;
     &lt;timestamp&gt;1487756351064&lt;/timestamp&gt;
     &lt;authId&gt;6f584b3a816c1405107ddd657e95292b&lt;/authId&gt;
 &lt;/param&gt;
 *
 * @apiSuccess {int} errorCode
 * 0：正常 <br/>
 * 1：siteId 错误 <br/>
 * 2：站点未到生效日期 <br/>
 * 3：站点过期 <br/>
 * 4：authId 错误 <br/>
 * 5：authId 不能重复使用 <br/>
 * 6：timestamp 超时 <br/>
 * 7：documentId 错误 <br/>
 * 10：报文格式错误 <br/>
 *
 * @apiSuccessExample {xml} 返回示例
 &lt;?xml version=“1.0” encoding="UTF-8"?&gt;
 &lt;result&gt;
     &lt;errorCode&gt;0&lt;/errorCode&gt;
 &lt;/result&gt;
 *
 */
