/**
 * @api {post} /3m/meeting/edit_test_site.do 18.编辑试用站点
 * @apiName edit_test_site
 * @apiGroup site
 * @apiVersion 2.1.0
 * @apiDescription 编辑创建试用站点
 *
 * @apiParam {String} siteId 站点标识
 * @apiParam {String} email 联系人邮箱
 * @apiParam {String} siteName 站点名称
 * @apiParam {String} siteDomain 站点域名
 * @apiParam {String} endDate 站点失效时间
 * @apiParam {int} autoRecording 是否自动录制：1 是，0 否
 * @apiParam {int} maxCapacity 允许最大并发人数
 * @apiParam {int} maxAudioChannels 最大音频路数
 * @apiParam {int} maxVideoChannels 最大视频路数
 * @apiParam {Boolean} customLogo 是否自定义站点logo
 * @apiParam {String} webCopyright 站点Copyright
 * @apiParam {int} supportMedia 是否支持媒体共享：1 是，0 否
 * @apiParam {int} supportRecord 是否支持录制：1 是，0 否
 * @apiParam {int} supportVideo 是否支持视频：1 是，0 否
 * @apiParam {int} supportScreen 是否支持屏幕共享：1 是，0 否
 * @apiParam {int} pptFlash 是否支持动态PPT：1 是，0 否
 * @apiParam {int} allowSettingResolution 是否支持切换视频分辨率：1 是，0 否
 * @apiParam {String} qqSupport 课堂里的QQ求助对象
 * @apiParam {String} mobileSupport 课堂里的手机求助对象
 * @apiParam {int} siteType=0 产品授权方式：1 正式用户，0 试用用户
 * @apiParam {Long} timestamp 时间戳
 * @apiParam {String} authId MD5(key+siteId+timestamp), 其中 key 为与系统约定的加密 key
 *
 * @apiSuccess {int} errorCode
 * 0：正常 <br/>
 * 1：站点不存在 <br/>
 * 2：站点未到生效日期 <br/>
 * 4：authId 错误 <br/>
 * 5：authId 不能重复使用 <br/>
 * 6：timestamp 超时 <br/>
 * 7：maxAudioChannels不能小于0 <br/>
 * 8：maxAudioChannels不能大于5 <br/>
 * 9：maxVideoChannels不能小于0 <br/>
 * 10：maxVideoChannels不能大于5 <br/>
 * 11：endDate 格式不正确 <br/>
 * @apiSuccess {String} msg 错误信息
 *
 * @apiParamExample {xml} 请求示例
 &lt;?xml version="1.0" encoding="UTF-8"?&gt;
 &lt;param&gt;
     &lt;siteId&gt;shanghai&lt;/siteId&gt;
     &lt;timestamp&gt;{timestamp}&lt;/timestamp&gt;
     &lt;authId&gt;{authId}&lt;/authId&gt;
     &lt;email&gt;test@sample.cn&lt;/email&gt;
     &lt;siteName&gt;测试站点&lt;/siteName&gt;
     &lt;siteDomain&gt;www&lt;/siteDomain&gt;
     &lt;endDate&gt;2020-08-20&lt;/endDate&gt;
     &lt;autoRecording&gt;false&lt;/autoRecording&gt;
     &lt;maxCapacity&gt;1000&lt;/maxCapacity&gt;
     &lt;maxAudioChannels&gt;5&lt;/maxAudioChannels&gt;
     &lt;maxVideoChannels&gt;5&lt;/maxVideoChannels&gt;
     &lt;customLogo&gt;false&lt;/customLogo&gt;
     &lt;webCopyright&gt;copyright&lt;/webCopyright&gt;
     &lt;supportMedia&gt;1&lt;/supportMedia&gt;
     &lt;supportRecord&gt;1&lt;/supportRecord&gt;
     &lt;supportVideo&gt;1&lt;/supportVideo&gt;
     &lt;supportScreen&gt;1&lt;/supportScreen&gt;
     &lt;pptFlash&gt;1&lt;/pptFlash&gt;
     &lt;allowSettingResolution&gt;false&lt;/allowSettingResolution&gt;
     &lt;qqSupport&gt;12390324323&lt;/qqSupport&gt;
     &lt;mobileSupport&gt;18900000000&lt;/mobileSupport&gt;
     &lt;siteType&gt;1&lt;/siteType&gt;
 &lt;/param&gt;
 *
 * @apiSuccessExample {xml} 返回示例
 &lt;?xml version="1.0" encoding="UTF-8"?&gt;
 &lt;result&gt;
     &lt;errcode&gt;0&lt;/errcode&gt;
     &lt;msg&gt;操作成功&lt;/msg&gt;
 &lt;/result&gt;
 *
 */
