/**
 * @api {post} /3m/meeting/export_joinlog.do 11.导出站点用户记录
 * @apiName export_joinlog
 * @apiGroup user
 * @apiVersion 2.1.0
 * @apiDescription 导出站点用户记录，返回Excel下载地址
 *
 * @apiParam {String} siteId 站点标识
 * @apiParam {String} beginTime 日志的开始日期。格式：yyyy-MM-dd HH:mm:ss
 * @apiParam {String} endTime 日志的结束日期。格式：yyyy-MM-dd HH:mm:ss
 * @apiParam {Long} timestamp 时间戳
 * @apiParam {String} authId MD5(key+siteId+timestamp)
 *
 * @apiParamExample {xml} 请求示例
 &lt;?xml version="1.0" encoding="UTF-8"?&gt;
 &lt;param&gt;
 &lt;siteId&gt;shanghai&lt;/siteId&gt;
 &lt;beginTime&gt;2013-12-01 00:00:00&lt;/beginTime&gt;
 &lt;endTime&gt;2013-12-31 00:00:00&lt;/endTime&gt;
 &lt;timestamp&gt;1392032123210&lt;/timestamp&gt;
 &lt;authId&gt;4297f44b13955235245b2497399d7a93&lt;/authId&gt;
 &lt;/param&gt;
 *
 * @apiSuccess {int} errorCode
 * 0：正常 <br/>
 * 1：siteId 错误，站点不存在或已删除 <br/>
 * 2：站点未到生效日期 <br/>
 * 3: 站点过期 <br/>
 * 4：authId 错误 <br/>
 * 6：timestamp 超时 <br/>
 * 7：mtgKey 不存在 <br/>
 * 10：报文格式错误 <br/>
 * 11：beginTime 格式错误 <br/>
 * 12：endTime 格式错误 <br/>
 * 13：endTime 在 beginTime 之前 <br/>
 * @apiSuccess {String} beginTime 传入的值
 * @apiSuccess {String} endTime 传入的值
 * @apiSuccess {String} excelUrl Excel文件下载的路径
 *
 * @apiSuccessExample {xml} 返回示例
 &lt;?xml version=“1.0” encoding="UTF-8"?&gt;
 &lt;result&gt;
 &lt;errorCode&gt;0&lt;/errorCode&gt;
 &lt;beginTime&gt;2013-12-01 00:00:00&lt;/beginTime&gt;
 &lt;endTime&gt;2013-12-31 00:00:00&lt;/endTime&gt;
 &lt;excelUrl&gt;meeting/download.do?fileName=1a606b33-5322-4aa8-b98a-c173f08cad3&lt;/excelUrl&gt;
 &lt;/result&gt;
 *
 */
