/**
 * @api {post} /DocSharing/fileUploadForeign 23.文档上传
 * @apiName fileUploadForeign
 * @apiGroup doc
 * @apiVersion 2.1.0
 * @apiDescription 文档上传。支持最多10个文档同时上传。上传的文档定时转换，时间是每天的晚上23:00-次日7:00。<br/>
 * 请提前至少一天上传文档。<br/>
 * 支持类型：word/excel/ppt/pdf 等。<br/>
 * 文件大小不能超过50M。<br/>
 * 需要用到接口 <b>21</b> 中得到的文档服务器地址。
 *
 * @apiParam {String} siteId 站点标识
 * @apiParam {Long} timestamp 时间戳
 * @apiParam {String} authId MD5(key+siteId+timestamp), 其中 key 为与系统约定的加密 key
 * @apiParam {String="msoffice","pptflash"} convertTools="msoffice" 是否动态PPT：pptflash 动态PPT，msoffice 非动态PPT
 * @apiParam {String} createUserName 上传者名字
 * @apiParam {String} createUserID 上传者 id
 *
 * @apiParamExample {form-data} 请求示例
 &lt;html&gt;
 &lt;body&gt;
 上传文件程序应用示例
 &lt;form action="fileUploadForeign" method="post" enctype="multipart/form-data"&gt;
 请选择要上传的文件&lt;input type="file" name="upfile" size="50"&gt;
 是否动态ppt：
 &lt;select id="convertTools" name="convertTools"&gt;
 &lt;option value="msoffice"&gt;否&lt;/option&gt;
 &lt;option value="pptflash"&gt;是&lt;/option&gt;
 &lt;/select&gt;
 siteID：&lt;input type="text" name="siteID" size="50" value="admin"&gt;
 timestamp：&lt;input type="text" name="timestamp" size="50" value="1442286924284"&gt;
 createUserName：&lt;input type="text" name="createUserName" size="50" value="admin"&gt;
 authId:&lt;input type="text" name="authId" size="50" value="68e150f469667a9972b7f82bc6ec0877"&gt;
 createUserID：&lt;input type="text" name="createUserID" size="50" value="402880f44fa5bcac014fa5dff5330001"&gt;
 modifyDate：&lt;input type="text" name="modifyDate" size="50" value="2015-09-14 18:22:22"&gt;

 &lt;input type="submit" value="提交"&gt;
 &lt;/form&gt;
 &lt;/body&gt;
 &lt;/html&gt;
 *
 * @apiSuccess {Array} docList
 * @apiSuccess {Object} docList.doc
 * @apiSuccess {int} docList.doc.errorCode
 * 0：成功 <br/>
 * 1：siteId 错误 <br/>
 * 2：站点未到生效日期 <br/>
 * 3：站点过期 <br/>
 * 4：authId 错误 <br/>
 * 5：authId 不能重复使用 <br/>
 * 6：timestamp 超时 <br/>
 * 7：上传格式不正确 <br/>
 * 8：文档存在问题请另存为新的文档进行上传 <br/>
 * @apiSuccess {String} docList.doc.documentId 文档 id
 *
 * @apiSuccessExample {xml} 返回示例
 &lt;?xml version=“1.0” encoding="UTF-8"?&gt;
 &lt;result&gt;
     &lt;docList&gt;
         &lt;doc&gt;
             &lt;errorCode&gt;0&lt;/errorCode&gt;
             &lt;documentId&gt;402880f84ff3bf77014ff3c0bcdb0002&lt;/documentId&gt;
         &lt;/doc&gt;
     &lt;/docList&gt;
 &lt;/result&gt;
 *
 */
