/**
 * @api {post} /3m/api/sharedMedia/findBySite.do 32.查询站点的媒体文件
 * @apiName sharedMedia_findBySite
 * @apiGroup doc
 * @apiVersion 2.1.0
 * @apiDescription 查询站点的媒体共享文件列表
 *
 * @apiParam {String} siteId 站点标识
 * @apiParam {Long} timestamp 时间戳
 * @apiParam {String} authId MD5(key+siteId+timestamp), 其中 key 为与系统约定的加密 key
 * @apiParam {String} beginTime 开始日期。格式：YYYY-MM-DD HH:MM:SS
 * @apiParam {String} endTime 结束日期。格式：YYYY-MM-DD HH:MM:SS
 * @apiParam {String} [name] 文档名称
 *
 * @apiParamExample {xml} 请求示例
 &lt;?xml version="1.0" encoding="UTF-8"?&gt;
 &lt;param&gt;
     &lt;siteId&gt;admin&lt;/siteId&gt;
     &lt;beginTime&gt;2017-02-01 00:00:00&lt;/beginTime&gt;
     &lt;endTime&gt;2017-02-22 00:00:00&lt;/endTime&gt;
     &lt;name&gt;&lt;/name&gt;
     &lt;timestamp&gt;1487756351064&lt;/timestamp&gt;
     &lt;authId&gt;6f584b3a816c1405107ddd657e95292b&lt;/authId&gt;
 &lt;/param&gt;
 *
 * @apiSuccess {int} errorCode
 * 0：正常 <br/>
 * 1：siteId 错误 <br/>
 * 2：站点未到生效日期 <br/>
 * 3：站点过期 <br/>
 * 4：authId 错误 <br/>
 * 5：authId 不能重复使用 <br/>
 * 6：timestamp 超时 <br/>
 * 10：报文格式错误 <br/>
 * @apiSuccess {Array} mediaList
 * @apiSuccess {Object} mediaList.media
 * @apiSuccess {String} mediaList.media.id 文件 id
 * @apiSuccess {String} mediaList.media.name 文件名称
 * @apiSuccess {String} mediaList.media.userName 上传者用户名
 * @apiSuccess {String} mediaList.media.startTime 上传开始时间
 * @apiSuccess {String} mediaList.media.endTime 上传结束时间
 *
 * @apiSuccessExample {xml} 返回示例
 &lt;?xml version=“1.0” encoding="UTF-8"?&gt;
 &lt;result&gt;
     &lt;errorCode&gt;0&lt;/errorCode&gt;
     &lt;mediaList&gt;
         &lt;media&gt;
             &lt;id&gt;3&lt;/id&gt;
             &lt;name&gt;123.mp3&lt;/name&gt;
             &lt;userName&gt;somebody&lt;/userName&gt;
             &lt;startTime&gt;2013-09-11 14:02:05&lt;/startTime&gt;
             &lt;endTime&gt;2013-09-11 14:15:47&lt;/endTime&gt;
         &lt;/media&gt;
     &lt;/mediaList &gt;
 &lt;/result&gt;
 *
 */
