/**
 * @api {post} /3m/meeting/getDocumentDetails.do 25.获取文档详情
 * @apiName getDocumentDetails
 * @apiGroup doc
 * @apiVersion 2.1.0
 * @apiDescription 获取文档详情和预览 URL 地址
 *
 * @apiParam {String} siteId 站点标识
 * @apiParam {Long} timestamp 时间戳
 * @apiParam {String} authId MD5(key+siteId+timestamp), 其中 key 为与系统约定的加密 key
 * @apiParam {String} documentId 文档 id
 *
 * @apiParamExample {xml} 请求示例
 &lt;?xml version="1.0" encoding="UTF-8"?&gt;
 &lt;param&gt;
     &lt;siteId&gt;shanghai&lt;/siteId&gt;
     &lt;timestamp&gt;1392032123210&lt;/timestamp&gt;
     &lt;authId&gt;4297f44b13955235245b2497399d7a93&lt;/authId&gt;
     &lt;documentId&gt;4028811d5c1ad065015c1ad12dcf0001&lt;/documentId&gt;
 &lt;/param&gt;
 *
 * @apiSuccess {int} errorCode
 * 0：正常 <br/>
 * 1：siteId 错误 <br/>
 * 2：站点未到生效日期 <br/>
 * 3：站点过期 <br/>
 * 4：authId 错误 <br/>
 * 5：authId 不能重复使用 <br/>
 * 6：timestamp 超时 <br/>
 * 7：documentId 错误 <br/>
 * 8：文档不存在 <br/>
 * 10：报文格式错误 <br/>
 * @apiSuccess {int} size 原文件大小
 * @apiSuccess {String} name 原文件名称
 * @apiSuccess {int} status 文档状态：0 上传中，1 上传完毕，2 处理中，3 发布成功，4 取消，5 删除，6 转换失败
 * @apiSuccess {String} uploadStartTime 上传开始时间
 * @apiSuccess {String} uploadEndTime 上传结束时间
 * @apiSuccess {String} processStartTime 转换开始时间
 * @apiSuccess {String} processEndTime 转换结束时间
 * @apiSuccess {int} dynamicPPT 是否动态 PPT：0 非动态，1 动态
 * @apiSuccess {String} previewUrl 文件预览地址
 *
 * @apiSuccessExample {xml} 返回示例
 &lt;?xml version=“1.0” encoding="UTF-8"?&gt;
 &lt;result&gt;
     &lt;errorCode&gt;0&lt;/errorCode&gt;
     &lt;size&gt;17202&lt;/size&gt;
     &lt;name&gt;关于伴音接口的问题.docx&lt;/name&gt;
     &lt;status&gt;3&lt;/status&gt;
     &lt;uploadStartTime&gt;2016-01-29 02:15:01&lt;/uploadStartTime&gt;
     &lt;uploadEndTime&gt;2016-01-29 02:15:01&lt;/uploadEndTime&gt;
     &lt;processStartTime&gt;2016-01-29 02:15:01&lt;/processStartTime&gt;
     &lt;processEndTime&gt;2016-01-29 02:26:10&lt;/processEndTime&gt;
     &lt;dynamicPPT&gt;0&lt;/dynamicPPT&gt;
     &lt;type&gt;docx&lt;/type&gt;
     &lt;previewUrl&gt;http://127.0.0.1:8080/DocSharing/dowload?token=402880f44fbb13e4014fbb1a0f9d0002
     &lt;/previewUrl&gt;
 &lt;/result&gt;
 *
 */
