/**
 * @api {post} /3m/meeting/get_document_url.do 21.获取文档服务器地址
 * @apiName get_document_url
 * @apiGroup doc
 * @apiVersion 2.1.0
 * @apiDescription 获取文档服务器地址，用于后续的上传操作
 *
 * @apiParam {String} siteId 站点标识
 * @apiParam {Long} timestamp 时间戳
 * @apiParam {String} authId MD5(key+siteId+timestamp), 其中 key 为与系统约定的加密 key
 *
 * @apiParamExample {xml} 请求示例
 &lt;?xml version="1.0" encoding="UTF-8"?&gt;
 &lt;param&gt;
     &lt;siteId&gt;shanghai&lt;/siteId&gt;
     &lt;timestamp&gt;1392032123210&lt;/timestamp&gt;
     &lt;authId&gt;4297f44b13955235245b2497399d7a93&lt;/authId&gt;
 &lt;/param&gt;
 *
 * @apiSuccess {int} errorCode
 * 0：正常 <br/>
 * 1：siteId 错误 <br/>
 * 2：站点未到生效日期 <br/>
 * 3：站点过期 <br/>
 * 4：authId 错误 <br/>
 * 5：authId 不能重复使用 <br/>
 * 6：timestamp 超时 <br/>
 * 10：报文格式错误 <br/>
 * @apiSuccess {Array} docList
 * @apiSuccess {Object} docList.docServer
 * @apiSuccess {String} docList.docServer.serverAddress 地址:端口
 * @apiSuccess {int} docList.docServer.count 当前等待人数
 *
 * @apiSuccessExample {xml} 返回示例
 &lt;?xml version=“1.0” encoding="UTF-8"?&gt;
 &lt;result&gt;
     &lt;errorCode&gt;0&lt;/errorCode&gt;
     &lt;doclist&gt;
         &lt;docServer&gt;
             &lt;serverAddress&gt;127.0.0.1:8080&lt;/serverAddress&gt;
             &lt;count&gt;0&lt;/count&gt;
         &lt;/docServer&gt;
     &lt;/doclist&gt;
 &lt;/result&gt;
 *
 */
