/**
 * @api {post} /3m/meeting/license.do 08.查询站点剩余点数
 * @apiName license
 * @apiGroup site
 * @apiVersion 2.1.0
 * @apiDescription 查询站点剩余点数，即可以进入课堂的总人数
 *
 * @apiParam {String} siteId 站点标识
 * @apiParam {Long} timestamp 时间戳
 * @apiParam {String} authId MD5(key+siteId+timestamp), 其中 key 为与系统约定的加密 key
 *
 * @apiParamExample {xml} 请求示例
 &lt;?xml version="1.0" encoding="UTF-8"?&gt;
 &lt;param&gt;
 &lt;siteId&gt;shanghai&lt;/siteId&gt;
 &lt;timestamp&gt;1392032123210&lt;/timestamp&gt;
 &lt;authId&gt;4297f44b13955235245b2497399d7a93&lt;/authId&gt;
 &lt;/param&gt;
 *
 * @apiSuccess {int} errorCode
 * 0：正常 <br/>
 * 1：siteId 错误，站点不存在或已删除 <br/>
 * 2：站点未到生效日期 <br/>
 * 3: 站点过期 <br/>
 * 4：authId 错误 <br/>
 * 6：timestamp 超时 <br/>
 * 7：mtgKey 不存在 <br/>
 * 10：报文格式错误 <br/>
 * @apiSuccess {String} surplus 剩余的点数
 *
 * @apiSuccessExample {xml} 返回示例
 &lt;?xml version=“1.0” encoding="UTF-8"?&gt;
 &lt;result&gt;
 &lt;errorCode&gt;0&lt;/errorCode&gt;
 &lt;surplus&gt;20&lt;/surplus&gt;
 &lt;/result&gt;
 *
 */
