/**
 * @api {post} /3m/meeting/max_class_online.do 20.查询课堂最大在线人数
 * @apiName max_class_online
 * @apiGroup user
 * @apiVersion 2.1.0
 * @apiDescription 查询课堂最大在线人数
 *
 * @apiParam {String} siteId 站点标识
 * @apiParam {String} mtgKey 课堂的唯一标识，由第三方维护，最大长度64
 * @apiParam {Long} timestamp 时间戳
 * @apiParam {String} authId MD5(key+siteId+mtgKey+timestamp), 其中 key 为与系统约定的加密 key
 *
 * @apiParamExample {xml} 请求示例
 &lt;?xml version="1.0" encoding="UTF-8"?&gt;
 &lt;param&gt;
     &lt;siteId&gt;shanghai&lt;/siteId&gt;
     &lt;mtgKey&gt;10002321&lt;/mtgKey&gt;
     &lt;timestamp&gt;1392032123210&lt;/timestamp&gt;
     &lt;authId&gt;4297f44b13955235245b2497399d7a93&lt;/authId&gt;
 &lt;/param&gt;
 *
 * @apiSuccess {int} errorCode
 * 0：正常 <br/>
 * 1：siteId 错误 <br/>
 * 2：站点未到生效日期 <br/>
 * 3: 站点过期 <br/>
 * 4：authId 错误 <br/>
 * 5：authId 不能重复使用 <br/>
 * 6：timestamp 超时 <br/>
 * 7：mtgKey 不存在 <br/>
 * 10：报文格式错误 <br/>
 * @apiSuccess {String} mtgKey  传入的参数
 * @apiSuccess {int} online  人数
 *
 * @apiSuccessExample {xml} 返回示例
 &lt;?xml version=“1.0” encoding="UTF-8"?&gt;
 &lt;result&gt;
     &lt;errorCode&gt;0&lt;/errorCode&gt;
     &lt;mtgKey&gt;10002321&lt;/mtgKey&gt;
     &lt;online&gt;6&lt;/online&gt;
 &lt;/result&gt;
 *
 */
