/**
 * @api {post} /DocSharing/mediaUploadForeign 26.上传伴音文件
 * @apiName mediaUploadForeign
 * @apiGroup doc
 * @apiVersion 2.1.0
 * @apiDescription 上传伴音文件。<br/>
 * 只允许 mp3 文件。<br/>
 * 文件大小不能超过100M。<br/>
 * 需要用到接口 <b>21</b> 中得到的文档服务器地址。
 *
 * @apiParam {String} siteId 站点标识
 * @apiParam {Long} timestamp 时间戳
 * @apiParam {String} authId MD5(key+siteId+timestamp), 其中 key 为与系统约定的加密 key
 * @apiParam {String} createUserName 上传者名字
 * @apiParam {String} createUserID 上传者 id
 *
 * @apiParamExample {form-data} 请求示例
 &lt;html&gt;
 &lt;body&gt;
 上传文件程序应用示例
 &lt;form action="mediaUploadForeign" method="post" enctype="multipart/form-data"&gt;
 请选择要上传的文件&lt;input type="file" name="upfile" size="50"&gt;
 siteID：&lt;input type="text" name="siteID" size="50" value="admin"&gt;
 timestamp：&lt;input type="text" name="timestamp" size="50" value="1442286924284"&gt;
 authId:&lt;input type="text" name="authId" size="50" value="68e150f469667a9972b7f82bc6ec0877"&gt;
 createUserName：&lt;input type="text" name="createUserName" size="50" value="admin"&gt;
 createUserID：&lt;input type="text" name="createUserID" size="50" value="402880f44fa5bcac014fa5dff5330001"&gt;
 &lt;input type="submit" value="提交"&gt;
 &lt;/form&gt;
 &lt;/body&gt;
 &lt;/html&gt;
 *
 * @apiSuccess {Array} docList
 * @apiSuccess {Object} docList.doc
 * @apiSuccess {int} docList.doc.errorCode
 * 0：成功 <br/>
 * 1：siteId 错误 <br/>
 * 2：站点未到生效日期 <br/>
 * 3：站点过期 <br/>
 * 4：authId 错误 <br/>
 * 5：authId 不能重复使用 <br/>
 * 6：timestamp 超时 <br/>
 * 7：上传格式不正确 <br/>
 * @apiSuccess {String} docList.doc.mediaId id
 * @apiSuccess {String} docList.doc.filepath 绝对路径
 * @apiSuccess {String} docList.doc.relativeLocation 相对路径
 * @apiSuccess {String} docList.doc.filetype 文件类型
 * @apiSuccess {String} docList.doc.fileName 文件名称
 *
 * @apiSuccessExample {xml} 返回示例
 &lt;?xml version=“1.0” encoding="UTF-8"?&gt;
 &lt;result&gt;
     &lt;errorCode&gt;0&lt;/errorCode&gt;
     &lt;mediaId&gt;402880f84ff3bf77014ff3c0bcdb0002&lt;/mediaId&gt;
     &lt;filepath&gt;http://127.0.0.1:8080/DocSharing/data/0/20151009-104200/0eb9a0c3781f5017c866127067a7e968.mp3&lt/filepath&gt;
     &lt;relativeLocation&gt;/DocSharing/data/0/20151009-104200/0eb9a0c3781f5017c866127067a7e968.mp3&lt;/relativeLocation&gt;
     &lt;filetype&gt;mp3&lt;/filetype&gt;
     &lt;fileName&gt;凤凰传奇 - 我和草原有个约定.mp3&lt;/fileName&gt;
 &lt;/result&gt;
 *
 */
