/**
 * @api {post} /3m/meeting/play_record.do 13.查询课堂录制播放地址
 * @apiName play_record
 * @apiGroup classroom
 * @apiVersion 2.1.0
 * @apiDescription 查询课堂录制播放地址。将param和configFile参数通过POST方式传递给url页面，即可直接播放录制
 *
 * @apiParam {String} siteId 站点标识
 * @apiParam {String} mtgKey 课堂的唯一标识
 * @apiParam {String} configFile 录制的唯一标识，最大长度64
 * @apiParam {int} language=2 客户端语言：1 英文 2 中文
 * @apiParam {int} userId 英文、数字组成的字符串，最大长度50
 * @apiParam {int} userName 客户端显示的姓名，最大长度32
 * @apiParam {Long} timestamp 时间戳
 * @apiParam {String} authId MD5(key+siteId+mtgKey+userId+timestamp)
 *
 * @apiParamExample {xml} 请求示例
 &lt;?xml version="1.0" encoding="UTF-8"?&gt;
 &lt;param&gt;
 &lt;siteId&gt;shanghai&lt;/siteId&gt;
 &lt;mtgKey&gt;100012&lt;/mtgKey&gt; &lt;configFile&gt;67303217_983041_2014-11-3-9-42-44.xml&lt;/configFile&gt;
 &lt;language&gt;1&lt;/language&gt;
 &lt;userName&gt;shanghai&lt;/userName&gt;
 &lt;userId&gt;2000012&lt;/userId&gt; //用户ID
 &lt;timestamp&gt;1392032123210&lt;/timestamp&gt;
 &lt;authId&gt;4297f44b13955235245b2497399d7a93&lt;/authId&gt;
 &lt;/param&gt;
 *
 * @apiSuccess {int} errorCode
 * 0：正常 <br/>
 * 1：siteId 错误，站点不存在或已删除 <br/>
 * 2：站点未到生效日期 <br/>
 * 3: 站点过期 <br/>
 * 4：authId 错误 <br/>
 * 6：timestamp 超时 <br/>
 * 7：mtgKey 不存在 <br/>
 * 10：报文格式错误 <br/>
 * @apiSuccess {String} url 播放地址
 * @apiSuccess {String} param 播放地址请求参数
 * @apiSuccess {String} configFile 播放地址请求参数
 * @apiSuccess {Long} timestamp 时间戳
 *
 * @apiSuccessExample {xml} 返回示例
 &lt;?xml version=“1.0” encoding="UTF-8"?&gt;
 &lt;result&gt;
 &lt;errorCode&gt;0&lt;/errorCode&gt;
 &lt;url&gt;http://127.0.0.1:8080/3m/record/index.jsp&lt;/url&gt;
 &lt;param&gt;字符串&lt;/param&gt;
 &lt;configFile&gt;字符串&lt;/configFile&gt;
 &lt;timestamp&gt;1392032123210&lt;/timestamp&gt;
 &lt;/result&gt;
 *
 */
