/**
 * @api {post} /3m/meeting/set_assistance.do 15.设置课堂的求助信息
 * @apiName set_assistance
 * @apiGroup classroom
 * @apiVersion 2.1.0
 * @apiDescription 求助页面的设置：qq和手机号
 *
 * @apiParam {String} siteId 站点标识
 * @apiParam {String} qq 多个QQ用英文逗号分隔，最大长度128
 * @apiParam {String} mobile 多个手机号用英文逗号分隔，最大长度128
 * @apiParam {Long} timestamp 时间戳
 * @apiParam {String} authId MD5(key+siteId+timestamp), 其中 key 为与系统约定的加密 key
 *
 * @apiParamExample {xml} 请求示例
 &lt;?xml version="1.0" encoding="UTF-8"?&gt;
 &lt;param&gt;
 &lt;siteId&gt;shanghai&lt;/siteId&gt;
 &lt;qq&gt;10000,12345&lt;/qq&gt;
 &lt;mobile&gt;18012345678,18912345678&lt;/mobile&gt;
 &lt;timestamp&gt;1392032123210&lt;/timestamp&gt;
 &lt;authId&gt;4297f44b13955235245b2497399d7a93&lt;/authId&gt;
 &lt;/param&gt;
 *
 * @apiSuccess {int} errorCode
 * 0：正常 <br/>
 * 1：siteId 错误，站点不存在或已删除 <br/>
 * 2：站点未到生效日期 <br/>
 * 3: 站点过期 <br/>
 * 4：authId 错误 <br/>
 * 5：authId 不能重复使用 <br/>
 * 6：timestamp 超时 <br/>
 * 10：报文格式错误 <br/>
 *
 * @apiSuccessExample {xml} 返回示例
 &lt;?xml version=“1.0” encoding="UTF-8"?&gt;
 &lt;result&gt;
 &lt;errorCode&gt;0&lt;/errorCode&gt;
 &lt;/result&gt;
 *
 */
