/**
 * @api {post} /DocSharing/sharedMediaUpload 31.上传媒体共享的文件
 * @apiName sharedMediaUpload
 * @apiGroup doc
 * @apiVersion 2.1.0
 * @apiDescription 上传媒体共享的文件。<br/>
 * 允许格式：mp4/mp3/flv。<br/>
 * 允许大小：100M。<br/>
 * 允许同时上传多个文件，最多10个。<br/>
 * 使用接口 <b>21</b> 中得到的文档服务器地址上传。
 *
 * @apiParam {String} siteId 站点标识
 * @apiParam {Long} timestamp 时间戳
 * @apiParam {String} authId MD5(siteId+timestamp)
 * @apiParam {String} createUserName 上传者名字
 * @apiParam {String} createUserID 上传者 id
 * @apiParam {String} [mtgKey] 课堂标识，如果指定该值，会将文件绑定到课堂
 *
 * @apiParamExample {form-data} 请求示例
 &lt;html&gt;
 &lt;body&gt;
 上传文件程序应用示例
 &lt;form action="sharedMediaUpload" method="post" enctype="multipart/form-data"&gt;
 请选择要上传的文件&lt;input type="file" name="upfile" size="50"&gt;
 siteID：&lt;input type="text" name="siteID" size="50" value="admin"&gt;
 timestamp：&lt;input type="text" name="timestamp" size="50" value="1442286924284"&gt;
 authId:&lt;input type="text" name="authId" size="50" value="68e150f469667a9972b7f82bc6ec0877"&gt;
 createUserName：&lt;input type="text" name="createUserName" size="50" value="admin"&gt;
 createUserID：&lt;input type="text" name="createUserID" size="50" value="402880f44fa5bcac014fa5dff5330001"&gt;
 &lt;input type="submit" value="提交"&gt;
 &lt;/form&gt;
 &lt;/body&gt;
 &lt;/html&gt;
 *
 * @apiSuccess {int} code
 * 0：成功 <br/>
 * 1：不是上传请求 <br/>
 * 2：编码错误 <br/>
 * 3：无法解析请求内容 <br/>
 * 4：没有上传文件，或者上传文件超过10个 <br/>
 * 5：siteId 不能为空 <br/>
 * 6：authId 错误 <br/>
 * 7：文件类型不支持 <br/>
 * 8：保存文件信息失败 <br/>
 * 10：保存文件失败 <br/>
 * @apiSuccess {Array} list
 * @apiSuccess {String} list.id 文件 id
 * @apiSuccess {String} list.name 文件名称
 *
 * @apiSuccessExample {json} 返回示例
 {
   "list": [
     {
       "id": "1",
       "name": "1.mp4",
     }
   ],
   "code": 0
 }
 *
 */
