/**
 * @api {POST} /3m/meeting/timestamp.do 01.获取服务器时间戳
 * @apiName getTimestamp
 * @apiGroup other
 * @apiVersion 2.1.0
 * @apiDescription 获取服务器时间戳
 *
 * @apiParam {String} siteId 站点标识
 * @apiParam {Long} random 随机整数
 * @apiParam {String} authId MD5(key+siteId+random), 其中 key 为与系统约定的加密 key
 *
 * @apiSuccess {int} errorCode
 * 0：各参数都正确 <br/>
 * 1：siteId 错误 <br/>
 * 2：站点未到生效日期 <br/>
 * 3: 站点过期 <br/>
 * 4：authId 错误 <br/>
 * 10：报文格式错误 <br/>
 * @apiSuccess {Long} random  传入的 random
 * @apiSuccess {Long} timestamp  时间戳
 *
 * @apiParamExample {xml} 请求示例
 &lt;?xml version="1.0" encoding="UTF-8"?&gt;
 &lt;param&gt;
 &lt;siteId&gt;shanghai&lt;/siteId&gt;
 &lt;random&gt;1293230129&lt;/random&gt;
 &lt;authId&gt;4297f44b13955235245b2497399d7a93&lt;/authId&gt;
 &lt;/param&gt;
 *
 * @apiSuccessExample {xml} 返回示例
 &lt;?xml version="1.0" encoding="UTF-8"?&gt;
 &lt;result&gt;
 &lt;errorCode&gt;0&lt;/errorCode&gt;
 &lt;random&gt;1293230129&lt;/random&gt;
 &lt;timestamp&gt;1392032123210&lt;/timestamp&gt;
 &lt;/result&gt;
 *
 */
