/**
 * @api {post} /3m/meeting/updateMeetingDoc.do 34.更新课堂的文档
 * @apiName updateMeetingDoc
 * @apiGroup doc
 * @apiVersion 2.1.0
 * @apiDescription 更新课堂的文档，可以增加/删除。
 *
 * @apiParam {String} siteId 站点标识
 * @apiParam {String} mtgKey 课堂标识
 * @apiParam {Long} timestamp 时间戳
 * @apiParam {String} authId MD5(key+siteId+timestamp)
 * @apiParam {String} deleteIds 要删除的id列表，字符串，多个id间用英文逗号分隔
 * @apiParam {String} addIds 增加的id列表，字符串，多个id间用英文逗号分隔
 * @apiParam {String} [type=1] 文档类型：1 文档共享 2 伴音 3 媒体共享
 *
 * @apiParamExample {xml} 请求示例
 &lt;?xml version="1.0" encoding="UTF-8"?&gt;
 &lt;param&gt;
     &lt;siteId&gt;shanghai&lt;/siteId&gt;
     &lt;mtgKey&gt;10002321&lt;/mtgKey&gt;
     &lt;timestamp&gt;1392032123210&lt;/timestamp&gt;
     &lt;authId&gt;4297f44b13955235245b2497399d7a93&lt;/authId&gt;
     &lt;deleteIds&gt;1,2&lt;/deleteIds&gt;
     &lt;addIds&gt;3,4&lt;/addIds&gt;
     &lt;type&gt;3&lt;/type&gt;
 &lt;/param&gt;
 *
 * @apiSuccess {int} errorCode
 * 0：正常 <br/>
 * 1：siteId 错误，站点不存在或已删除 <br/>
 * 2：站点未到生效日期 <br/>
 * 3: 站点过期 <br/>
 * 4：authId 错误 <br/>
 * 7：mtgKey 不存在 <br/>
 * 10：报文格式错误 <br/>
 *
 * @apiSuccessExample {xml} 返回示例
 &lt;?xml version=“1.0” encoding="UTF-8"?&gt;
 &lt;result&gt;
     &lt;errorCode&gt;0&lt;/errorCode&gt;
 &lt;/result&gt;
 *
 */
