/**
 * @api {post} /3m/siteAction/uploadLogoForeign.do 29.修改课堂logo
 * @apiName uploadLogoForeign
 * @apiGroup site
 * @apiVersion 2.1.0
 * @apiDescription 修改站点的所有课堂logo地址
 *
 * @apiParam {String} siteId 站点标识
 * @apiParam {Long} timestamp 时间戳
 * @apiParam {String} authId MD5(key+siteId+timestamp), 其中 key 为与系统约定的加密 key
 * @apiParam {String} flashCopyright 课堂版权文字
 * @apiParam {String} flashLogoUrl 课堂 logo 地址
 * @apiParam {String} flashLoginImgUrl 课堂登录图片地址
 *
 * @apiParamExample {xml} 请求示例
 &lt;?xml version="1.0" encoding="UTF-8"?&gt;
 &lt;param&gt;
     &lt;siteId&gt;admin&lt;/siteId&gt;
     &lt;flashCopyright&gt;三芒世纪（北京）科技有限公司&lt;/flashCopyright&gt;
     &lt;flashLogoUrl&gt;402880f44fbb13e4014fbb1a0f9d0002&lt;/flashLogoUrl&gt;
     &lt;flashLoginImgUrl&gt;http://www.3mang.com/msg/2.jpg&lt;/flashLoginImgUrl&gt;
     &lt;timestamp&gt;1487756351064&lt;/timestamp&gt;
     &lt;authId&gt;http://www.3mang.com/msg/1.jpg&lt;/authId&gt;
 &lt;/param&gt;
 *
 * @apiSuccess {int} errorCode
 * 0：正常 <br/>
 * 1：siteId 错误 <br/>
 * 2：站点未到生效日期 <br/>
 * 3：站点过期 <br/>
 * 4：authId 错误 <br/>
 * 5：authId 不能重复使用 <br/>
 * 6：课堂版权不能为空 <br/>
 * 7：课堂 logo 不能为空 <br/>
 * 8：课堂登录图片不能为空 <br/>
 * 10：报文格式错误 <br/>
 * @apiSuccess {String} msg 错误信息
 *
 * @apiSuccessExample {xml} 返回示例
 &lt;?xml version=“1.0” encoding="UTF-8"?&gt;
 &lt;result&gt;
     &lt;errorCode&gt;0&lt;/errorCode&gt;
     &lt;msg&gt;操作成功&lt;/msg&gt;
 &lt;/result&gt;
 *
 */
