/**
 * @api {post} /DocSharing/zipUploadForeign 35.zip上传
 * @apiName zipUploadForeign
 * @apiGroup doc
 * @apiVersion 2.1.0
 * @apiDescription zip文档上传，特定的zip，转换动态 PPT 生成的压缩包。 <br/>
 * 支持最多10个文档同时上传。<br/>
 * 支持类型：zip。<br/>
 * 文件大小不能超过50M。<br/>
 * 需要用到接口 <b>21</b> 中得到的文档服务器地址。
 *
 * @apiParam {String} siteId 站点标识
 * @apiParam {Long} timestamp 时间戳
 * @apiParam {String} authId MD5(key+siteId+timestamp), 其中 key 为与系统约定的加密 key
 * @apiParam {String} createUserID 上传者 id
 * @apiParam {String} createUserName 上传者名字
 *
 * @apiParamExample {form-data} 请求示例
 &lt;html&gt;
 &lt;body&gt;
 上传文件程序应用示例
 &lt;form action="zipUploadForeign" method="post" enctype="multipart/form-data"&gt;
 请选择要上传的文件&lt;input type="file" name="upfile" size="50"&gt;
 siteID：&lt;input type="text" name="siteID" size="50" value="admin"&gt;
 timestamp：&lt;input type="text" name="timestamp" size="50" value="1442286924284"&gt;
 authId:&lt;input type="text" name="authId" size="50" value="68e150f469667a9972b7f82bc6ec0877"&gt;
 createUserID：&lt;input type="text" name="createUserID" size="50" value="402880f44fa5bcac014fa5dff5330001"&gt;
 createUserName：&lt;input type="text" name="createUserName" size="50" value="admin"&gt;

 &lt;input type="submit" value="提交"&gt;
 &lt;/form&gt;
 &lt;/body&gt;
 &lt;/html&gt;
 *
 * @apiSuccess {int} errorCode
 * 0：成功 <br/>
 * 1：不是上传请求 <br/>
 * 3：请求格式错误 <br/>
 * 5：siteId 不能为空 <br/>
 * 6：authId 错误 <br/>
 * 7：格式不正确，不是 zip <br/>
 * 10：保存失败 <br/>
 * 11：解压失败 <br/>
 * 12：未在包中找到 index.html <br/>
 * @apiSuccess {Array} files
 * @apiSuccess {String} files.docId 文档 id
 * @apiSuccess {String} files.docName 文档名称
 *
 * @apiSuccessExample {json} 返回示例
 {"files":[{"fileName":"测试.zip","docId":"40285d385c42d956015c42d9ddf60001"},{"fileName":"城市6.zip","docId":"40285d385c42d956015c42d9e0530002"}],"code":0}
 *
 */
