define({ "api": [
  {
    "type": "post",
    "url": "/3m/meeting/conf_list.do",
    "title": "06.查询站点的课堂",
    "name": "conf_list",
    "group": "classroom",
    "version": "2.1.0",
    "description": "<p>查询某个站点按月的课堂记录</p>",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "siteId",
            "description": "<p>站点标识</p>"
          },
          {
            "group": "Parameter",
            "type": "int",
            "size": ">2000",
            "optional": false,
            "field": "year",
            "description": "<p>年份</p>"
          },
          {
            "group": "Parameter",
            "type": "int",
            "size": "1-12",
            "optional": false,
            "field": "month",
            "description": "<p>月份</p>"
          },
          {
            "group": "Parameter",
            "type": "int",
            "optional": false,
            "field": "pageNo",
            "defaultValue": "1",
            "description": "<p>查询第几页，如果超出实际页数，显示最后一页</p>"
          },
          {
            "group": "Parameter",
            "type": "int",
            "optional": true,
            "field": "pageSize",
            "defaultValue": "20",
            "description": "<p>每页显示多少条</p>"
          },
          {
            "group": "Parameter",
            "type": "Long",
            "optional": false,
            "field": "timestamp",
            "description": "<p>时间戳</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "authId",
            "description": "<p>MD5(key+siteId+year+month+timestamp), 其中 key 为与系统约定的加密 key</p>"
          }
        ]
      },
      "examples": [
        {
          "title": "请求示例",
          "content": "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n<param>\n<siteId>admin</siteId>\n<year>2017</year>\n<month>1</month>\n<pageNo>1</pageNo>\n<pageSize>20</pageSize>\n<timestamp>111</timestamp>\n<authId>111</authId>\n</param>",
          "type": "xml"
        }
      ]
    },
    "success": {
      "fields": {
        "Success 200": [
          {
            "group": "Success 200",
            "type": "int",
            "optional": false,
            "field": "errorCode",
            "description": "<p>0：正常 <br/> 1：siteId 错误，站点不存在或已删除 <br/> 2：站点未到生效日期 <br/> 3: 站点过期 <br/> 4：authId 错误 <br/> 5：authId 不能重复使用 <br/> 6：timestamp 超时 <br/> 10：报文格式错误 <br/></p>"
          },
          {
            "group": "Success 200",
            "type": "int",
            "optional": false,
            "field": "year",
            "description": "<p>传入的参数</p>"
          },
          {
            "group": "Success 200",
            "type": "int",
            "optional": false,
            "field": "month",
            "description": "<p>传入的参数</p>"
          },
          {
            "group": "Success 200",
            "type": "int",
            "optional": false,
            "field": "pageNo",
            "description": "<p>传入的参数</p>"
          },
          {
            "group": "Success 200",
            "type": "int",
            "optional": false,
            "field": "pageSize",
            "description": "<p>传入的参数</p>"
          },
          {
            "group": "Success 200",
            "type": "int",
            "optional": false,
            "field": "mtgCount",
            "description": "<p>符合条件的总记录数</p>"
          },
          {
            "group": "Success 200",
            "type": "List",
            "optional": false,
            "field": "mtgList",
            "description": "<p>课堂列表</p>"
          },
          {
            "group": "Success 200",
            "type": "Object",
            "optional": false,
            "field": "mtgList.mtgInfo",
            "description": "<p>课堂对象</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "mtgList.mtgInfo.mtgKey",
            "description": "<p>第三方的课堂标识</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "mtgList.mtgInfo.mtgTitle",
            "description": "<p>课堂标题</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "mtgList.mtgInfo.hostPwd",
            "description": "<p>主持人密码</p>"
          },
          {
            "group": "Success 200",
            "type": "int",
            "optional": false,
            "field": "mtgList.mtgInfo.status",
            "description": "<p>课堂的状态： <br/> 0 正在创建 <br/> 1 预约状态 <br/> 2 进行中 <br/> 3 已取消 <br/> 4 已结束 <br/></p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "mtgList.mtgInfo.startTime",
            "description": "<p>开始时间，第一次通过接口进入活动的时间</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "mtgList.mtgInfo.endTime",
            "description": "<p>结束时间：如果课堂状态为 0、1、2，则是预约的课堂的结束时间；如果状态为3、4，则是课堂真实的结束时间</p>"
          }
        ]
      },
      "examples": [
        {
          "title": "返回示例",
          "content": "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n<result>\n<errorCode>0</errorCode>\n<year>2013</year>\n<month>11</month>\n<pageNo>6</pageNo>\n<pageSize>30</pageSize>\n<mtgCount>366</mtgCount>\n<mtgList>\n    <mtgInfo>\n        <mtgKey>10002321</mtgKey>\n        <mtgTitle>太阳能未来发展方向调研课堂001</mtgTitle>\n        <hostPwd>123456</hostPwd>\n        <status>3</status>\n        <startTime>2013-09-10 14:02:05</startTime>\n        <endTime>2013-09-10 18:12:05</endTime>\n    </mtgInfo>\n</mtgList>\n</result>",
          "type": "xml"
        }
      ]
    },
    "filename": "./src/conf_list.js",
    "groupTitle": "classroom"
  },
  {
    "type": "post",
    "url": "/3m/meeting/conf_status.do",
    "title": "09.查询课堂的状态",
    "name": "conf_status",
    "group": "classroom",
    "version": "2.1.0",
    "description": "<p>查询课堂的状态，仅供参考，未必准确</p>",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "siteId",
            "description": "<p>站点标识</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "mtgKey",
            "description": "<p>课堂标识</p>"
          },
          {
            "group": "Parameter",
            "type": "Long",
            "optional": false,
            "field": "timestamp",
            "description": "<p>时间戳</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "authId",
            "description": "<p>MD5(key+siteId+mtgKey+timestamp)</p>"
          }
        ]
      },
      "examples": [
        {
          "title": "请求示例",
          "content": "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n<param>\n<siteId>shanghai</siteId>\n<mtgKey>10002321</mtgKey>\n<timestamp>1392032123210</timestamp>\n<authId>4297f44b13955235245b2497399d7a93</authId>\n</param>",
          "type": "xml"
        }
      ]
    },
    "success": {
      "fields": {
        "Success 200": [
          {
            "group": "Success 200",
            "type": "int",
            "optional": false,
            "field": "errorCode",
            "description": "<p>0：正常 <br/> 1：siteId 错误，站点不存在或已删除 <br/> 2：站点未到生效日期 <br/> 3: 站点过期 <br/> 4：authId 错误 <br/> 6：timestamp 超时 <br/> 7：mtgKey 不存在 <br/> 10：报文格式错误 <br/></p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "mtgKey",
            "description": "<p>传入的值</p>"
          },
          {
            "group": "Success 200",
            "type": "int",
            "optional": false,
            "field": "status",
            "description": "<p>课堂的状态：<br/> 0 课堂正在创建 <br/> 1 课堂处于预约状态 <br/> 2 课堂正在进行中 <br/> 3 课堂已经取消 <br/> 4 课堂已经结束 <br/></p>"
          }
        ]
      },
      "examples": [
        {
          "title": "返回示例",
          "content": "<?xml version=“1.0” encoding=\"UTF-8\"?>\n<result>\n<errorCode>0</errorCode>\n<mtgKey>10002321</mtgKey>\n<status>2</status>\n</result>",
          "type": "xml"
        }
      ]
    },
    "filename": "./src/conf_status.js",
    "groupTitle": "classroom"
  },
  {
    "type": "post",
    "url": "/3m/meeting/count_online.do",
    "title": "10.查询课堂在线人数",
    "name": "count_online",
    "group": "classroom",
    "version": "2.1.0",
    "description": "<p>查询课堂在线人数（正在上课的人数）</p>",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "siteId",
            "description": "<p>站点标识</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "mtgKey",
            "description": "<p>课堂标识</p>"
          },
          {
            "group": "Parameter",
            "type": "Long",
            "optional": false,
            "field": "timestamp",
            "description": "<p>时间戳</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "authId",
            "description": "<p>MD5(key+siteId+mtgKey+timestamp)</p>"
          }
        ]
      },
      "examples": [
        {
          "title": "请求示例",
          "content": "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n<param>\n<siteId>shanghai</siteId>\n<mtgKey>10002321</mtgKey>\n<timestamp>1392032123210</timestamp>\n<authId>4297f44b13955235245b2497399d7a93</authId>\n</param>",
          "type": "xml"
        }
      ]
    },
    "success": {
      "fields": {
        "Success 200": [
          {
            "group": "Success 200",
            "type": "int",
            "optional": false,
            "field": "errorCode",
            "description": "<p>0：正常 <br/> 1：siteId 错误，站点不存在或已删除 <br/> 2：站点未到生效日期 <br/> 3: 站点过期 <br/> 4：authId 错误 <br/> 6：timestamp 超时 <br/> 7：mtgKey 不存在 <br/> 10：报文格式错误 <br/></p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "mtgKey",
            "description": "<p>传入的值</p>"
          },
          {
            "group": "Success 200",
            "type": "int",
            "optional": false,
            "field": "online",
            "description": "<p>当前在线人数</p>"
          }
        ]
      },
      "examples": [
        {
          "title": "返回示例",
          "content": "<?xml version=“1.0” encoding=\"UTF-8\"?>\n<result>\n<errorCode>0</errorCode>\n<mtgKey>10002321</mtgKey>\n<online>18</online>\n</result>",
          "type": "xml"
        }
      ]
    },
    "filename": "./src/count_online.js",
    "groupTitle": "classroom"
  },
  {
    "type": "post",
    "url": "/3m/meeting/getTeacherRecordList.do",
    "title": "30.查询老师的录制列表",
    "name": "getTeacherRecordList",
    "group": "classroom",
    "version": "2.1.0",
    "description": "<p>查询老师的课堂录制列表</p>",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "siteId",
            "description": "<p>站点标识</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "userId",
            "description": "<p>老师的 id</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": true,
            "field": "beginTime",
            "description": "<p>开始日期。格式：YYYY-MM-DD HH:MM:SS</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": true,
            "field": "endTime",
            "description": "<p>结束日期。格式：YYYY-MM-DD HH:MM:SS</p>"
          },
          {
            "group": "Parameter",
            "type": "int",
            "optional": false,
            "field": "pageNo",
            "description": "<p>第几页，大于总页数时，自动设置为1</p>"
          },
          {
            "group": "Parameter",
            "type": "int",
            "optional": false,
            "field": "pgeSize",
            "defaultValue": "20",
            "description": "<p>每页显示多少条</p>"
          },
          {
            "group": "Parameter",
            "type": "Long",
            "optional": false,
            "field": "timestamp",
            "description": "<p>时间戳</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "authId",
            "description": "<p>MD5(key+siteId+timestamp)</p>"
          }
        ]
      },
      "examples": [
        {
          "title": "请求示例",
          "content": "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n<param>\n    <siteId>shanghai</siteId>\n    <userId>1</userId>\n    <beginTime>2000-01-01 00:00:00</beginTime>\n    <endTime>2000-02-01 00:00:00</endTime>\n    <pageNo>1</pageNo>\n    <pageSize>20</pageSize>\n    <timestamp>1392032123210</timestamp>\n    <authId>4297f44b13955235245b2497399d7a93</authId>\n</param>",
          "type": "xml"
        }
      ]
    },
    "success": {
      "fields": {
        "Success 200": [
          {
            "group": "Success 200",
            "type": "int",
            "optional": false,
            "field": "errorCode",
            "description": "<p>0：正常 <br/> 1：siteId 错误，站点不存在或已删除 <br/> 2：站点未到生效日期 <br/> 3: 站点过期 <br/> 4：authId 错误 <br/> 6：timestamp 超时 <br/> 7：userId 不能为空 <br/> 10：报文格式错误 <br/></p>"
          },
          {
            "group": "Success 200",
            "type": "int",
            "optional": false,
            "field": "pageNo",
            "description": "<p>传入的值</p>"
          },
          {
            "group": "Success 200",
            "type": "int",
            "optional": false,
            "field": "pageSize",
            "description": "<p>传入的值</p>"
          },
          {
            "group": "Success 200",
            "type": "int",
            "optional": false,
            "field": "recordCount",
            "description": "<p>总记录数</p>"
          },
          {
            "group": "Success 200",
            "type": "List",
            "optional": false,
            "field": "recordList",
            "description": "<p>录制列表</p>"
          },
          {
            "group": "Success 200",
            "type": "Object",
            "optional": false,
            "field": "recordList.recordInfo",
            "description": "<p>录制对象</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "recordList.recordInfo.userId",
            "description": "<p>录制人的ID</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "recordList.recordInfo.userName",
            "description": "<p>录制人的姓名</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "recordList.recordInfo.mtgTitle",
            "description": "<p>课堂主题</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "recordList.recordInfo.startTime",
            "description": "<p>录制开始时间</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "recordList.recordInfo.endTime",
            "description": "<p>录制结束时间</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "recordList.recordInfo.configFile",
            "description": "<p>录制文件名</p>"
          }
        ]
      },
      "examples": [
        {
          "title": "返回示例",
          "content": "<?xml version=“1.0” encoding=\"UTF-8\"?>\n<result>\n    <errorCode>0</errorCode>\n    <pageNo>6</pageNo>\n    <pageSize>30</pageSize>\n    <recordCount>1<recordCount >\n    <recordList>\n        <recordInfo>\n            <userId>12000232</userId>\n            <userName>ChinaBj001</userName>\n            <mtgTitle>shanghai</mtgTitle>\n            <startTime>2013-09-11 14:02:05</startTime\n            <endTime>2013-09-11 14:15:47</endTime>\n            <configFile>67303217_983041_2014-11-3-9-42-44.xml</configFile>\n        </recordInfo>\n    </recordList >\n</result>",
          "type": "xml"
        }
      ]
    },
    "filename": "./src/get_teacher_record_list.js",
    "groupTitle": "classroom"
  },
  {
    "type": "post",
    "url": "/3m/meeting/get_record_list.do",
    "title": "12.查询课堂的录制列表",
    "name": "get_record_list",
    "group": "classroom",
    "version": "2.1.0",
    "description": "<p>查询某个课堂的录制列表</p>",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "siteId",
            "description": "<p>站点标识</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "mtgKey",
            "description": "<p>课堂的唯一标识</p>"
          },
          {
            "group": "Parameter",
            "type": "int",
            "optional": false,
            "field": "pageNo",
            "description": "<p>第几页，大于总页数时，自动设置为1</p>"
          },
          {
            "group": "Parameter",
            "type": "int",
            "optional": false,
            "field": "pgeSize",
            "defaultValue": "20",
            "description": "<p>每页显示多少条</p>"
          },
          {
            "group": "Parameter",
            "type": "Long",
            "optional": false,
            "field": "timestamp",
            "description": "<p>时间戳</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "authId",
            "description": "<p>MD5(key+siteId+mtgKey+timestamp)</p>"
          }
        ]
      },
      "examples": [
        {
          "title": "请求示例",
          "content": "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n<param>\n<siteId>shanghai</siteId>\n<mtgKey>10002321</mtgKey>\n<pageNo>1</pageNo>\n<pageSize>20</pageSize>\n<timestamp>1392032123210</timestamp>\n<authId>4297f44b13955235245b2497399d7a93</authId>\n</param>",
          "type": "xml"
        }
      ]
    },
    "success": {
      "fields": {
        "Success 200": [
          {
            "group": "Success 200",
            "type": "int",
            "optional": false,
            "field": "errorCode",
            "description": "<p>0：正常 <br/> 1：siteId 错误，站点不存在或已删除 <br/> 2：站点未到生效日期 <br/> 3: 站点过期 <br/> 4：authId 错误 <br/> 6：timestamp 超时 <br/> 7：mtgKey 不存在 <br/> 10：报文格式错误 <br/></p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "mtgKey",
            "description": "<p>传入的值</p>"
          },
          {
            "group": "Success 200",
            "type": "int",
            "optional": false,
            "field": "pageNo",
            "description": "<p>传入的值</p>"
          },
          {
            "group": "Success 200",
            "type": "int",
            "optional": false,
            "field": "pageSize",
            "description": "<p>传入的值</p>"
          },
          {
            "group": "Success 200",
            "type": "int",
            "optional": false,
            "field": "recordCount",
            "description": "<p>总记录数</p>"
          },
          {
            "group": "Success 200",
            "type": "List",
            "optional": false,
            "field": "recordList",
            "description": "<p>录制列表</p>"
          },
          {
            "group": "Success 200",
            "type": "Object",
            "optional": false,
            "field": "recordList.recordInfo",
            "description": "<p>录制对象</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "recordList.recordInfo.userId",
            "description": "<p>录制人的ID</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "recordList.recordInfo.userName",
            "description": "<p>录制人的姓名</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "recordList.recordInfo.mtgTitle",
            "description": "<p>课堂主题</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "recordList.recordInfo.startTime",
            "description": "<p>录制开始时间</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "recordList.recordInfo.endTime",
            "description": "<p>录制结束时间</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "recordList.recordInfo.configFile",
            "description": "<p>录制文件名</p>"
          }
        ]
      },
      "examples": [
        {
          "title": "返回示例",
          "content": "<?xml version=“1.0” encoding=\"UTF-8\"?>\n<result>\n<errorCode>0</errorCode>\n<mtgKey>10002321</mtgKey>\n<pageNo>6</pageNo>\n<pageSize>30</pageSize>\n<recordCount>3<recordCount >\n<recordList>\n    <recordInfo>\n        <userId>12000232</userId>\n        <userName>ChinaBj001</userName>\n        <mtgTitle>shanghai</mtgTitle>\n        <startTime>2013-09-11 14:02:05</startTime\n        <endTime>2013-09-11 14:15:47</endTime>\n        <configFile>67303217_983041_2014-11-3-9-42-44.xml</configFile>\n    </recordInfo>\n</recordList >\n</result>",
          "type": "xml"
        }
      ]
    },
    "filename": "./src/get_record_list.js",
    "groupTitle": "classroom"
  },
  {
    "type": "post",
    "url": "/3m/meeting/join_mtg_app.do",
    "title": "04.app获取课堂信息",
    "name": "joinClassApp",
    "group": "classroom",
    "version": "2.1.0",
    "description": "<p>app获取课堂信息,如果课堂不存在，先创建该课堂</p>",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "siteId",
            "description": "<p>站点标识</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "mtgKey",
            "description": "<p>课堂的唯一标识。最大长度 64</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "mtgTitle",
            "description": "<p>课堂名称或者课堂主题，最大长度 32</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "startTime",
            "description": "<p>课堂的开始时间，作为课堂开始气泡提示的参考时间。格式为：YYYY-MM-DD HH:MM:SS</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "endTime",
            "description": "<p>课堂的结束时间，作为课堂结束气泡提示的参考时间。格式为：YYYY-MM-DD HH:MM:SS</p>"
          },
          {
            "group": "Parameter",
            "type": "int",
            "optional": true,
            "field": "language",
            "defaultValue": "2",
            "description": "<p>客户端语言：1 英文， 2 中文</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "userName",
            "description": "<p>客户端显示的姓名，最大长度 32</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "userId",
            "description": "<p>英文或数字组成的字符串，最大长度 50。等于0时是匿名用户，可以允许多个用户同时存在</p>"
          },
          {
            "group": "Parameter",
            "type": "int",
            "optional": false,
            "field": "userType",
            "description": "<p>用户类型： 8 普通与会者</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "hostPwd",
            "description": "<p>主持人密码，密码长度 6 到 8 位，用于对普通人员申请主持人时的验证</p>"
          },
          {
            "group": "Parameter",
            "type": "Long",
            "optional": false,
            "field": "timestamp",
            "description": "<p>时间戳</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "authId",
            "description": "<p>MD5(key+siteId+mtgKey+userID+userType+timestamp), 其中 key 为与系统约定的加密 key</p>"
          }
        ]
      },
      "examples": [
        {
          "title": "请求示例",
          "content": "<param>\n<siteId>shanghai</siteId>\n<mtgKey>100012</mtgKey>\n<mtgTitle>shanghai</mtgTitle>\n<startTime>2015-08-12 14:00:00</startTime>\n<endTime>2015-08-12 14:30:00</endTime>\n<language>1</language>\n<userName>shanghai</userName>\n<userId>2000012</userId>\n<userType>8</userType>\n<hostPwd>123456</hostPwd>\n<timestamp>1392032123210</timestamp>\n<authId>4297f44b13955235245b2497399d7a93</authId>\n</param>",
          "type": "xml"
        }
      ]
    },
    "success": {
      "fields": {
        "Success 200": [
          {
            "group": "Success 200",
            "type": "int",
            "optional": false,
            "field": "errorCode",
            "description": "<p>0：正常 <br/> 1：siteId 错误，站点不存在或已删除 <br/> 2：站点未到生效日期 <br/> 3: 站点过期 <br/> 4：课堂信息 mtgKey/mtgTitle/hostPwd 不能为空 <br/> 5：用户信息 userName/userId/userType 不能为空 <br/> 6：timestamp 超时 <br/> 7：authId 错误 <br/> 8：authId 不能重复使用 <br/> 9：课堂开始或结束时间格式错误 <br/> 10：报文格式错误 <br/></p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "url",
            "description": "<p>课堂地址</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "param",
            "description": ""
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "siteId",
            "description": ""
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "classID",
            "description": "<p>课堂 id</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "userName",
            "description": ""
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "userId",
            "description": ""
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "userType",
            "description": ""
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "nopassword",
            "description": "<p>是否需要验证密码 False:不需要验证 True: 需要验证</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "portalIP",
            "description": "<p>服务器ip</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "portalPort",
            "description": "<p>服务器端口</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "md5",
            "description": "<p>返回的md5</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "meetingNumber",
            "description": "<p>学点云系统生成的课堂号</p>"
          },
          {
            "group": "Success 200",
            "type": "Long",
            "optional": false,
            "field": "timestamp",
            "description": "<p>时间戳</p>"
          }
        ]
      },
      "examples": [
        {
          "title": "返回示例",
          "content": " <?xml version=\"1.0\" encoding=\"UTF-8\"?>\n <result>\n <errorCode>01</errorCode>\n <url>http://127.0.0.1:8080/LiveClass/tests/joinClass/index.jsp</url>\n <param>\n <siteId>admin</siteId>\n <classID>1419338704</classID>\n <userName>shanghai</userName>\n <userId>2000012</userId>\n <nopassword>false</nopassword>\n <userType>8</userType>\n <portalIP>127.0.0.1</portalIP>\n <portalPort>8080</portalPort>\n <md5>790a9c17892e99c89d6bef2cb1b5d2e6</md5>\n </param>\n <timestamp>1447815907543</timestamp>\n <meetingNumber>1419338704</meetingNumber>\n </result>\n获取到param下的参数传给学点云app",
          "type": "xml"
        }
      ]
    },
    "filename": "./src/join_class_app.js",
    "groupTitle": "classroom"
  },
  {
    "type": "post",
    "url": "/3m/meeting/join_mtg.do",
    "title": "02.获取课堂地址",
    "name": "joinMtg",
    "group": "classroom",
    "version": "2.1.0",
    "description": "<p>获取课堂地址, ,如果课堂不存在，先创建该课堂</p>",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "siteId",
            "description": "<p>站点标识</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "mtgKey",
            "description": "<p>课堂的唯一标识。最大长度 64</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "mtgTitle",
            "description": "<p>课堂名称或者课堂主题，最大长度 32</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "startTime",
            "description": "<p>课堂的开始时间，作为课堂开始气泡提示的参考时间。格式为：YYYY-MM-DD HH:MM:SS</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "endTime",
            "description": "<p>课堂的结束时间，作为课堂结束气泡提示的参考时间。格式为：YYYY-MM-DD HH:MM:SS</p>"
          },
          {
            "group": "Parameter",
            "type": "int",
            "optional": true,
            "field": "duration",
            "description": "<p>持续时长</p>"
          },
          {
            "group": "Parameter",
            "type": "int",
            "optional": true,
            "field": "language",
            "defaultValue": "2",
            "description": "<p>客户端语言：1 英文， 2 中文</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "userName",
            "description": "<p>客户端显示的姓名，最大长度 32</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "userId",
            "description": "<p>英文或数字组成的字符串，最大长度 50。等于0时是匿名用户，可以允许多个用户同时存在，也可使学生不使用密码即可登录</p>"
          },
          {
            "group": "Parameter",
            "type": "int",
            "optional": false,
            "field": "userType",
            "description": "<p>用户类型：1 主讲人（老师） 2 助教（所有权限） 8 普通与会者 32 监课人员</p>"
          },
          {
            "group": "Parameter",
            "type": "int",
            "optional": true,
            "field": "meetingType",
            "defaultValue": "1",
            "description": "<p>1 1V1互动 支持一对一音视频互动  2 直播 适用于千人以上大课堂，不能进行音视频互动，支持H5网页观看 3 小班课 适用于小班授课</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "hostPwd",
            "description": "<p>主持人密码，密码长度 6 到 8 位，用于对普通人员申请主持人时的验证</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "docID",
            "description": "<p>文档唯一标识。多个文档标识用英文逗号分隔。文档标识通过查询文档列表接口获取</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "mediaID",
            "description": "<p>伴音唯一标识。多个标识用英文逗号分隔。标识通过查询伴音列表接口获取</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "sharedMediaID",
            "description": "<p>媒体共享文件唯一标识。多个标识用英文逗号分隔。标识通过查询媒体共享文件接口获取</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": true,
            "field": "backUrl",
            "description": "<p>课堂结束后的回调地址</p>"
          },
          {
            "group": "Parameter",
            "type": "Long",
            "optional": false,
            "field": "timestamp",
            "description": "<p>时间戳</p>"
          },
          {
            "group": "Parameter",
            "type": "int",
            "optional": true,
            "field": "docModule",
            "description": "<p>是否启用文档共享：1 启用，其它禁止。默认为站点默认值</p>"
          },
          {
            "group": "Parameter",
            "type": "int",
            "optional": true,
            "field": "screenModule",
            "description": "<p>是否启用屏幕共享：1 启用，其它禁止。仅当站点开启屏幕共享时有效</p>"
          },
          {
            "group": "Parameter",
            "type": "int",
            "optional": true,
            "field": "mediaModule",
            "description": "<p>是否启用媒体共享：1 启用，其它禁止。仅当站点开启媒体共享时有效</p>"
          },
          {
            "group": "Parameter",
            "type": "int",
            "optional": true,
            "field": "whiteboardModule",
            "description": "<p>是否启用白板：1 启用，其它禁止</p>"
          },
          {
            "group": "Parameter",
            "type": "int",
            "optional": true,
            "field": "recordModule",
            "description": "<p>是否启用录制：1 启用，其它禁止。仅当站点开启录制功能时有效</p>"
          },
          {
            "group": "Parameter",
            "type": "int",
            "optional": true,
            "field": "videoModule",
            "description": "<p>是否启用视频：1 启用，其它禁止。仅当站点开启视频功能时有效</p>"
          },
          {
            "group": "Parameter",
            "type": "int",
            "optional": true,
            "field": "h5Module",
            "description": "<p>是否启用 H5：1 启用，其它禁止。仅当站点开启 H5 功能时有效</p>"
          },
          {
            "group": "Parameter",
            "type": "int",
            "optional": true,
            "field": "autoRecord",
            "description": "<p>是否自动录制：1 是 0 否。默认为站点默认值</p>"
          },
          {
            "group": "Parameter",
            "type": "int",
            "optional": true,
            "field": "interaction",
            "description": "<p>是否参与音视频互动：1 是 0 否。默认为站点默认值</p>"
          },
          {
            "group": "Parameter",
            "type": "int",
            "optional": true,
            "field": "maxAudioChannels",
            "description": "<p>最大音频路数。如果不传或传的值大于站点配置，以站点配置为准。直播课堂只支持 1 路，1V1支持2路，小班课支持1,2,3,5路</p>"
          },
          {
            "group": "Parameter",
            "type": "int",
            "optional": true,
            "field": "maxVideoChannels",
            "description": "<p>最大视频路数。如果不传或传的值大于站点配置，以站点配置为准。直播课堂只支持 1 路，1V1支持2路，小班课支持1,2,3,5路</p>"
          },
          {
            "group": "Parameter",
            "type": "int",
            "optional": true,
            "field": "videoQuality",
            "defaultValue": "0",
            "description": "<p>视频画质设置：0 低，1 中，2 高，3 较高，4 最高</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "authId",
            "description": "<p>MD5(key+siteId+mtgKey+userID+userType+timestamp), 其中 key 为与系统约定的加密 key</p>"
          }
        ]
      },
      "examples": [
        {
          "title": "请求示例",
          "content": "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n<param>\n    <siteId>admin</siteId>\n    <timestamp>1476174725597</timestamp>\n    <authId>450d6357348e5c16a6ffb0069b9ae86f</authId>\n    <mtgKey>100012</mtgKey>\n    <mtgTitle>admintest</mtgTitle>\n    <startTime>2016-08-12 14:00:00</startTime>\n    <endTime>2017-08-12 14:30:00</endTime>\n    <language>1</language>\n    <userName>shanghai</userName>\n    <userId>2000012</userId>\n    <userType>8</userType>\n    <hostPwd>123456</hostPwd>\n    <meetingType>1</meetingType>\n    <isPublic>1</isPublic>\n    <docModule>0</docModule>\n    <screenModule>0</screenModule>\n    <mediaModule>0</mediaModule>\n    <whiteboardModule>0</whiteboardModule>\n    <recordModule>0</recordModule>\n    <videoModule>0</videoModule>\n    <h5Module>0</h5Module>\n    <autoRecord>0</autoRecord>\n    <interaction>0</interaction>\n    <maxAudioChannels>1</maxAudioChannels>\n    <maxVideoChannels>1</maxVideoChannels>\n    <videoQuality>1</videoQuality>\n    <docID>1,2,3</docID>\n    <mediaID>3,2,1</mediaID>\n    <sharedMediaID>3,2,1</sharedMediaID>\n    <backUrl></backUrl>\n    <videoQuality>0</videoQuality>\n</param>",
          "type": "xml"
        }
      ]
    },
    "success": {
      "fields": {
        "Success 200": [
          {
            "group": "Success 200",
            "type": "int",
            "optional": false,
            "field": "errorCode",
            "description": "<p>0：正常 <br/> 1：siteId 错误，站点不存在或已删除 <br/> 2：站点未到生效日期 <br/> 3: 站点过期 <br/> 4：课堂信息 mtgKey/mtgTitle/hostPwd 不能为空 <br/> 5：用户信息 userName/userId/userType 不能为空 <br/> 6：timestamp 超时 <br/> 7：authId 错误 <br/> 8：authId 不能重复使用 <br/> 9：课堂开始或结束时间格式错误 <br/> 10：报文格式错误 <br/></p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "url",
            "description": "<p>课堂地址，GET请求</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "param",
            "description": "<p>已废弃</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "meetingNumber",
            "description": "<p>学点云系统生成的课堂号</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "password",
            "description": "<p>课堂密码</p>"
          },
          {
            "group": "Success 200",
            "type": "Long",
            "optional": false,
            "field": "timestamp",
            "description": "<p>时间戳</p>"
          }
        ]
      },
      "examples": [
        {
          "title": "返回示例",
          "content": "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n<result>\n    <errorCode>0</errorCode>\n    <url>http://localhost/h5/index.html?portalPort=8080&amp;portalIP=127.0.0.1&amp;classId=1992106612&amp;userId=2000012&amp;channels=1&amp;userName=%E5%BC%A0%E4%B8%89&amp;m=84b79056d155e186052dcf53cd22d54b&amp;userRole=normal</url>\n    <param></param>\n    <timestamp>1392032123210</timestamp>\n    <meetingNumber>01234567</meetingNumber>\n    <password>1234</password>\n</result>",
          "type": "xml"
        }
      ]
    },
    "filename": "./src/join_mtg.js",
    "groupTitle": "classroom"
  },
  {
    "type": "post",
    "url": "/3m/meeting/play_record.do",
    "title": "13.查询课堂录制播放地址",
    "name": "play_record",
    "group": "classroom",
    "version": "2.1.0",
    "description": "<p>查询课堂录制播放地址。将param和configFile参数通过POST方式传递给url页面，即可直接播放录制</p>",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "siteId",
            "description": "<p>站点标识</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "mtgKey",
            "description": "<p>课堂的唯一标识</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "configFile",
            "description": "<p>录制的唯一标识，最大长度64</p>"
          },
          {
            "group": "Parameter",
            "type": "int",
            "optional": false,
            "field": "language",
            "defaultValue": "2",
            "description": "<p>客户端语言：1 英文 2 中文</p>"
          },
          {
            "group": "Parameter",
            "type": "int",
            "optional": false,
            "field": "userId",
            "description": "<p>英文、数字组成的字符串，最大长度50</p>"
          },
          {
            "group": "Parameter",
            "type": "int",
            "optional": false,
            "field": "userName",
            "description": "<p>客户端显示的姓名，最大长度32</p>"
          },
          {
            "group": "Parameter",
            "type": "Long",
            "optional": false,
            "field": "timestamp",
            "description": "<p>时间戳</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "authId",
            "description": "<p>MD5(key+siteId+mtgKey+userId+timestamp)</p>"
          }
        ]
      },
      "examples": [
        {
          "title": "请求示例",
          "content": "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n<param>\n<siteId>shanghai</siteId>\n<mtgKey>100012</mtgKey> <configFile>67303217_983041_2014-11-3-9-42-44.xml</configFile>\n<language>1</language>\n<userName>shanghai</userName>\n<userId>2000012</userId> //用户ID\n<timestamp>1392032123210</timestamp>\n<authId>4297f44b13955235245b2497399d7a93</authId>\n</param>",
          "type": "xml"
        }
      ]
    },
    "success": {
      "fields": {
        "Success 200": [
          {
            "group": "Success 200",
            "type": "int",
            "optional": false,
            "field": "errorCode",
            "description": "<p>0：正常 <br/> 1：siteId 错误，站点不存在或已删除 <br/> 2：站点未到生效日期 <br/> 3: 站点过期 <br/> 4：authId 错误 <br/> 6：timestamp 超时 <br/> 7：mtgKey 不存在 <br/> 10：报文格式错误 <br/></p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "url",
            "description": "<p>播放地址</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "param",
            "description": "<p>播放地址请求参数</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "configFile",
            "description": "<p>播放地址请求参数</p>"
          },
          {
            "group": "Success 200",
            "type": "Long",
            "optional": false,
            "field": "timestamp",
            "description": "<p>时间戳</p>"
          }
        ]
      },
      "examples": [
        {
          "title": "返回示例",
          "content": "<?xml version=“1.0” encoding=\"UTF-8\"?>\n<result>\n<errorCode>0</errorCode>\n<url>http://127.0.0.1:8080/3m/record/index.jsp</url>\n<param>字符串</param>\n<configFile>字符串</configFile>\n<timestamp>1392032123210</timestamp>\n</result>",
          "type": "xml"
        }
      ]
    },
    "filename": "./src/play_record.js",
    "groupTitle": "classroom"
  },
  {
    "type": "post",
    "url": "/3m/meeting/set_assistance.do",
    "title": "15.设置课堂的求助信息",
    "name": "set_assistance",
    "group": "classroom",
    "version": "2.1.0",
    "description": "<p>求助页面的设置：qq和手机号</p>",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "siteId",
            "description": "<p>站点标识</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "qq",
            "description": "<p>多个QQ用英文逗号分隔，最大长度128</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "mobile",
            "description": "<p>多个手机号用英文逗号分隔，最大长度128</p>"
          },
          {
            "group": "Parameter",
            "type": "Long",
            "optional": false,
            "field": "timestamp",
            "description": "<p>时间戳</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "authId",
            "description": "<p>MD5(key+siteId+timestamp), 其中 key 为与系统约定的加密 key</p>"
          }
        ]
      },
      "examples": [
        {
          "title": "请求示例",
          "content": "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n<param>\n<siteId>shanghai</siteId>\n<qq>10000,12345</qq>\n<mobile>18012345678,18912345678</mobile>\n<timestamp>1392032123210</timestamp>\n<authId>4297f44b13955235245b2497399d7a93</authId>\n</param>",
          "type": "xml"
        }
      ]
    },
    "success": {
      "fields": {
        "Success 200": [
          {
            "group": "Success 200",
            "type": "int",
            "optional": false,
            "field": "errorCode",
            "description": "<p>0：正常 <br/> 1：siteId 错误，站点不存在或已删除 <br/> 2：站点未到生效日期 <br/> 3: 站点过期 <br/> 4：authId 错误 <br/> 5：authId 不能重复使用 <br/> 6：timestamp 超时 <br/> 10：报文格式错误 <br/></p>"
          }
        ]
      },
      "examples": [
        {
          "title": "返回示例",
          "content": "<?xml version=“1.0” encoding=\"UTF-8\"?>\n<result>\n<errorCode>0</errorCode>\n</result>",
          "type": "xml"
        }
      ]
    },
    "filename": "./src/set_assistance.js",
    "groupTitle": "classroom"
  },
  {
    "type": "post",
    "url": "/3m/meeting/delMedia.do",
    "title": "28.删除伴音",
    "name": "delMedia",
    "group": "doc",
    "version": "2.1.0",
    "description": "<p>删除伴音</p>",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "siteId",
            "description": "<p>站点标识</p>"
          },
          {
            "group": "Parameter",
            "type": "Long",
            "optional": false,
            "field": "timestamp",
            "description": "<p>时间戳</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "authId",
            "description": "<p>MD5(key+siteId+timestamp), 其中 key 为与系统约定的加密 key</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "medaiId",
            "description": "<p>伴音 id。注意拼写!</p>"
          }
        ]
      },
      "examples": [
        {
          "title": "请求示例",
          "content": "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n<param>\n    <siteId>admin</siteId>\n    <medaiId>402880f44fbb13e4014fbb1a0f9d0002</medaiId>\n    <timestamp>1487756351064</timestamp>\n    <authId>6f584b3a816c1405107ddd657e95292b</authId>\n</param>",
          "type": "xml"
        }
      ]
    },
    "success": {
      "fields": {
        "Success 200": [
          {
            "group": "Success 200",
            "type": "int",
            "optional": false,
            "field": "errorCode",
            "description": "<p>0：正常 <br/> 1：siteId 错误 <br/> 2：站点未到生效日期 <br/> 3：站点过期 <br/> 4：authId 错误 <br/> 5：authId 不能重复使用 <br/> 6：timestamp 超时 <br/> 7：medaiId 错误 <br/> 10：报文格式错误 <br/></p>"
          }
        ]
      },
      "examples": [
        {
          "title": "返回示例",
          "content": "<?xml version=“1.0” encoding=\"UTF-8\"?>\n<result>\n    <errorCode>0</errorCode>\n</result>",
          "type": "xml"
        }
      ]
    },
    "filename": "./src/del_media.js",
    "groupTitle": "doc"
  },
  {
    "type": "post",
    "url": "/3m/meeting/del_document.do",
    "title": "24.删除文档",
    "name": "del_document",
    "group": "doc",
    "version": "2.1.0",
    "description": "<p>删除文档</p>",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "siteId",
            "description": "<p>站点标识</p>"
          },
          {
            "group": "Parameter",
            "type": "Long",
            "optional": false,
            "field": "timestamp",
            "description": "<p>时间戳</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "authId",
            "description": "<p>MD5(key+siteId+timestamp), 其中 key 为与系统约定的加密 key</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "documentId",
            "description": "<p>文档 id</p>"
          }
        ]
      },
      "examples": [
        {
          "title": "请求示例",
          "content": "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n<param>\n    <siteId>admin</siteId>\n    <documentId>402880f44fbb13e4014fbb1a0f9d0002</documentId>\n    <timestamp>1487756351064</timestamp>\n    <authId>6f584b3a816c1405107ddd657e95292b</authId>\n</param>",
          "type": "xml"
        }
      ]
    },
    "success": {
      "fields": {
        "Success 200": [
          {
            "group": "Success 200",
            "type": "int",
            "optional": false,
            "field": "errorCode",
            "description": "<p>0：正常 <br/> 1：siteId 错误 <br/> 2：站点未到生效日期 <br/> 3：站点过期 <br/> 4：authId 错误 <br/> 5：authId 不能重复使用 <br/> 6：timestamp 超时 <br/> 7：documentId 错误 <br/> 10：报文格式错误 <br/></p>"
          }
        ]
      },
      "examples": [
        {
          "title": "返回示例",
          "content": "<?xml version=“1.0” encoding=\"UTF-8\"?>\n<result>\n    <errorCode>0</errorCode>\n</result>",
          "type": "xml"
        }
      ]
    },
    "filename": "./src/del_document.js",
    "groupTitle": "doc"
  },
  {
    "type": "post",
    "url": "/3m/api/sharedMedia/del.do",
    "title": "33.删除媒体共享文件",
    "name": "del_shared_media",
    "group": "doc",
    "version": "2.1.0",
    "description": "<p>删除媒体共享文件</p>",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "siteId",
            "description": "<p>站点标识</p>"
          },
          {
            "group": "Parameter",
            "type": "Long",
            "optional": false,
            "field": "timestamp",
            "description": "<p>时间戳</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "authId",
            "description": "<p>MD5(key+siteId+timestamp), 其中 key 为与系统约定的加密 key</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "fileId",
            "description": "<p>文件 id</p>"
          }
        ]
      },
      "examples": [
        {
          "title": "请求示例",
          "content": "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n<param>\n    <siteId>admin</siteId>\n    <fileId>1</fileId>\n    <timestamp>1487756351064</timestamp>\n    <authId>6f584b3a816c1405107ddd657e95292b</authId>\n</param>",
          "type": "xml"
        }
      ]
    },
    "success": {
      "fields": {
        "Success 200": [
          {
            "group": "Success 200",
            "type": "int",
            "optional": false,
            "field": "errorCode",
            "description": "<p>0：正常 <br/> 1：siteId 错误 <br/> 2：站点未到生效日期 <br/> 3：站点过期 <br/> 4：authId 错误 <br/> 5：authId 不能重复使用 <br/> 6：fileId 错误 <br/> 10：报文格式错误 <br/></p>"
          }
        ]
      },
      "examples": [
        {
          "title": "返回示例",
          "content": "<?xml version=“1.0” encoding=\"UTF-8\"?>\n<result>\n    <errorCode>0</errorCode>\n</result>",
          "type": "xml"
        }
      ]
    },
    "filename": "./src/del_shared_media.js",
    "groupTitle": "doc"
  },
  {
    "type": "post",
    "url": "/DocSharing/fileUploadForeign",
    "title": "23.文档上传",
    "name": "fileUploadForeign",
    "group": "doc",
    "version": "2.1.0",
    "description": "<p>文档上传。支持最多10个文档同时上传。上传的文档定时转换，时间是每天的晚上23:00-次日7:00。<br/> 请提前至少一天上传文档。<br/> 支持类型：word/excel/ppt/pdf 等。<br/> 文件大小不能超过50M。<br/> 需要用到接口 <b>21</b> 中得到的文档服务器地址。</p>",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "siteId",
            "description": "<p>站点标识</p>"
          },
          {
            "group": "Parameter",
            "type": "Long",
            "optional": false,
            "field": "timestamp",
            "description": "<p>时间戳</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "authId",
            "description": "<p>MD5(key+siteId+timestamp), 其中 key 为与系统约定的加密 key</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "allowedValues": [
              "\"msoffice\"",
              "\"pptflash\""
            ],
            "optional": false,
            "field": "convertTools",
            "defaultValue": "msoffice",
            "description": "<p>是否动态PPT：pptflash 动态PPT，msoffice 非动态PPT</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "createUserName",
            "description": "<p>上传者名字</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "createUserID",
            "description": "<p>上传者 id</p>"
          }
        ]
      },
      "examples": [
        {
          "title": "请求示例",
          "content": "<html>\n<body>\n上传文件程序应用示例\n<form action=\"fileUploadForeign\" method=\"post\" enctype=\"multipart/form-data\">\n请选择要上传的文件<input type=\"file\" name=\"upfile\" size=\"50\">\n是否动态ppt：\n<select id=\"convertTools\" name=\"convertTools\">\n<option value=\"msoffice\">否</option>\n<option value=\"pptflash\">是</option>\n</select>\nsiteID：<input type=\"text\" name=\"siteID\" size=\"50\" value=\"admin\">\ntimestamp：<input type=\"text\" name=\"timestamp\" size=\"50\" value=\"1442286924284\">\ncreateUserName：<input type=\"text\" name=\"createUserName\" size=\"50\" value=\"admin\">\nauthId:<input type=\"text\" name=\"authId\" size=\"50\" value=\"68e150f469667a9972b7f82bc6ec0877\">\ncreateUserID：<input type=\"text\" name=\"createUserID\" size=\"50\" value=\"402880f44fa5bcac014fa5dff5330001\">\nmodifyDate：<input type=\"text\" name=\"modifyDate\" size=\"50\" value=\"2015-09-14 18:22:22\">\n\n<input type=\"submit\" value=\"提交\">\n</form>\n</body>\n</html>",
          "type": "form-data"
        }
      ]
    },
    "success": {
      "fields": {
        "Success 200": [
          {
            "group": "Success 200",
            "type": "Array",
            "optional": false,
            "field": "docList",
            "description": ""
          },
          {
            "group": "Success 200",
            "type": "Object",
            "optional": false,
            "field": "docList.doc",
            "description": ""
          },
          {
            "group": "Success 200",
            "type": "int",
            "optional": false,
            "field": "docList.doc.errorCode",
            "description": "<p>0：成功 <br/> 1：siteId 错误 <br/> 2：站点未到生效日期 <br/> 3：站点过期 <br/> 4：authId 错误 <br/> 5：authId 不能重复使用 <br/> 6：timestamp 超时 <br/> 7：上传格式不正确 <br/> 8：文档存在问题请另存为新的文档进行上传 <br/></p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "docList.doc.documentId",
            "description": "<p>文档 id</p>"
          }
        ]
      },
      "examples": [
        {
          "title": "返回示例",
          "content": "<?xml version=“1.0” encoding=\"UTF-8\"?>\n<result>\n    <docList>\n        <doc>\n            <errorCode>0</errorCode>\n            <documentId>402880f84ff3bf77014ff3c0bcdb0002</documentId>\n        </doc>\n    </docList>\n</result>",
          "type": "xml"
        }
      ]
    },
    "filename": "./src/file_upload_foreign.js",
    "groupTitle": "doc"
  },
  {
    "type": "post",
    "url": "/3m/meeting/getDocumentDetails.do",
    "title": "25.获取文档详情",
    "name": "getDocumentDetails",
    "group": "doc",
    "version": "2.1.0",
    "description": "<p>获取文档详情和预览 URL 地址</p>",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "siteId",
            "description": "<p>站点标识</p>"
          },
          {
            "group": "Parameter",
            "type": "Long",
            "optional": false,
            "field": "timestamp",
            "description": "<p>时间戳</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "authId",
            "description": "<p>MD5(key+siteId+timestamp), 其中 key 为与系统约定的加密 key</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "documentId",
            "description": "<p>文档 id</p>"
          }
        ]
      },
      "examples": [
        {
          "title": "请求示例",
          "content": "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n<param>\n    <siteId>shanghai</siteId>\n    <timestamp>1392032123210</timestamp>\n    <authId>4297f44b13955235245b2497399d7a93</authId>\n    <documentId>4028811d5c1ad065015c1ad12dcf0001</documentId>\n</param>",
          "type": "xml"
        }
      ]
    },
    "success": {
      "fields": {
        "Success 200": [
          {
            "group": "Success 200",
            "type": "int",
            "optional": false,
            "field": "errorCode",
            "description": "<p>0：正常 <br/> 1：siteId 错误 <br/> 2：站点未到生效日期 <br/> 3：站点过期 <br/> 4：authId 错误 <br/> 5：authId 不能重复使用 <br/> 6：timestamp 超时 <br/> 7：documentId 错误 <br/> 8：文档不存在 <br/> 10：报文格式错误 <br/></p>"
          },
          {
            "group": "Success 200",
            "type": "int",
            "optional": false,
            "field": "size",
            "description": "<p>原文件大小</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "name",
            "description": "<p>原文件名称</p>"
          },
          {
            "group": "Success 200",
            "type": "int",
            "optional": false,
            "field": "status",
            "description": "<p>文档状态：0 上传中，1 上传完毕，2 处理中，3 发布成功，4 取消，5 删除，6 转换失败</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "uploadStartTime",
            "description": "<p>上传开始时间</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "uploadEndTime",
            "description": "<p>上传结束时间</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "processStartTime",
            "description": "<p>转换开始时间</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "processEndTime",
            "description": "<p>转换结束时间</p>"
          },
          {
            "group": "Success 200",
            "type": "int",
            "optional": false,
            "field": "dynamicPPT",
            "description": "<p>是否动态 PPT：0 非动态，1 动态</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "previewUrl",
            "description": "<p>文件预览地址</p>"
          }
        ]
      },
      "examples": [
        {
          "title": "返回示例",
          "content": "<?xml version=“1.0” encoding=\"UTF-8\"?>\n<result>\n    <errorCode>0</errorCode>\n    <size>17202</size>\n    <name>关于伴音接口的问题.docx</name>\n    <status>3</status>\n    <uploadStartTime>2016-01-29 02:15:01</uploadStartTime>\n    <uploadEndTime>2016-01-29 02:15:01</uploadEndTime>\n    <processStartTime>2016-01-29 02:15:01</processStartTime>\n    <processEndTime>2016-01-29 02:26:10</processEndTime>\n    <dynamicPPT>0</dynamicPPT>\n    <type>docx</type>\n    <previewUrl>http://127.0.0.1:8080/DocSharing/dowload?token=402880f44fbb13e4014fbb1a0f9d0002\n    </previewUrl>\n</result>",
          "type": "xml"
        }
      ]
    },
    "filename": "./src/get_document_detail.js",
    "groupTitle": "doc"
  },
  {
    "type": "post",
    "url": "/3m/meeting/get_document_list.do",
    "title": "22.查询站点的文档列表",
    "name": "get_document_list",
    "group": "doc",
    "version": "2.1.0",
    "description": "<p>查询站点的文档列表</p>",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "siteId",
            "description": "<p>站点标识</p>"
          },
          {
            "group": "Parameter",
            "type": "Long",
            "optional": false,
            "field": "timestamp",
            "description": "<p>时间戳</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "authId",
            "description": "<p>MD5(key+siteId+timestamp), 其中 key 为与系统约定的加密 key</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "beginTime",
            "description": "<p>开始日期。格式：YYYY-MM-DD HH:MM:SS</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "endTime",
            "description": "<p>结束日期。格式：YYYY-MM-DD HH:MM:SS</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": true,
            "field": "name",
            "description": "<p>文档名称</p>"
          }
        ]
      },
      "examples": [
        {
          "title": "请求示例",
          "content": "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n<param>\n    <siteId>admin</siteId>\n    <beginTime>2017-02-01 00:00:00</beginTime>\n    <endTime>2017-02-22 00:00:00</endTime>\n    <name></name>\n    <timestamp>1487756351064</timestamp>\n    <authId>6f584b3a816c1405107ddd657e95292b</authId>\n</param>",
          "type": "xml"
        }
      ]
    },
    "success": {
      "fields": {
        "Success 200": [
          {
            "group": "Success 200",
            "type": "int",
            "optional": false,
            "field": "errorCode",
            "description": "<p>0：正常 <br/> 1：siteId 错误 <br/> 2：站点未到生效日期 <br/> 3：站点过期 <br/> 4：authId 错误 <br/> 5：authId 不能重复使用 <br/> 6：timestamp 超时 <br/> 10：报文格式错误 <br/> 11：beginTime 格式错误 <br/> 12：endTime 格式错误 <br/> 13：endTime 在 beginTime 之前 <br/></p>"
          },
          {
            "group": "Success 200",
            "type": "int",
            "optional": false,
            "field": "documentCount",
            "description": ""
          },
          {
            "group": "Success 200",
            "type": "Array",
            "optional": false,
            "field": "documentList",
            "description": ""
          },
          {
            "group": "Success 200",
            "type": "Object",
            "optional": false,
            "field": "documentList.documentInfo",
            "description": ""
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "documentList.documentInfo.userName",
            "description": "<p>上传者用户名</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "documentList.documentInfo.startTime",
            "description": "<p>上传开始时间</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "documentList.documentInfo.endTime",
            "description": "<p>上传结束时间</p>"
          },
          {
            "group": "Success 200",
            "type": "int",
            "optional": false,
            "field": "documentList.documentInfo.status",
            "description": "<p>文档的状态 0：上传中 <br/> 1：上传完毕 <br/> 2：处理中 <br/> 3: 发布成功 <br/> 4：取消 <br/> 5：删除 <br/> 6：失败 <br/></p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "documentList.documentInfo.name",
            "description": "<p>文档名称</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "documentList.documentInfo.ID",
            "description": "<p>id</p>"
          }
        ]
      },
      "examples": [
        {
          "title": "返回示例",
          "content": "<?xml version=“1.0” encoding=\"UTF-8\"?>\n<result>\n    <errorCode>0</errorCode>\n    <beginTime>2013-12-01 00:00:00</beginTime>\n    <endTime>2013-12-31 00:00:00</endTime>\n    <documentCount>321</documentCount>\n    <documentList>\n        <documentInfo>\n            <userName>ChinaBj001</userName>\n            <startTime>2013-09-11 14:02:05</startTime>\t\t\t\t    \n            <endTime>2013-09-11 14:15:47</endTime>\n            <status>0</status>\n            <name>ChinaBj</name>\n            <ID>shanghai_2014-11-3-9-42-44</ID>\n        </documentInfo>\n    </documentList >\n</result>",
          "type": "xml"
        }
      ]
    },
    "filename": "./src/get_document_list.js",
    "groupTitle": "doc"
  },
  {
    "type": "post",
    "url": "/3m/meeting/get_document_url.do",
    "title": "21.获取文档服务器地址",
    "name": "get_document_url",
    "group": "doc",
    "version": "2.1.0",
    "description": "<p>获取文档服务器地址，用于后续的上传操作</p>",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "siteId",
            "description": "<p>站点标识</p>"
          },
          {
            "group": "Parameter",
            "type": "Long",
            "optional": false,
            "field": "timestamp",
            "description": "<p>时间戳</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "authId",
            "description": "<p>MD5(key+siteId+timestamp), 其中 key 为与系统约定的加密 key</p>"
          }
        ]
      },
      "examples": [
        {
          "title": "请求示例",
          "content": "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n<param>\n    <siteId>shanghai</siteId>\n    <timestamp>1392032123210</timestamp>\n    <authId>4297f44b13955235245b2497399d7a93</authId>\n</param>",
          "type": "xml"
        }
      ]
    },
    "success": {
      "fields": {
        "Success 200": [
          {
            "group": "Success 200",
            "type": "int",
            "optional": false,
            "field": "errorCode",
            "description": "<p>0：正常 <br/> 1：siteId 错误 <br/> 2：站点未到生效日期 <br/> 3：站点过期 <br/> 4：authId 错误 <br/> 5：authId 不能重复使用 <br/> 6：timestamp 超时 <br/> 10：报文格式错误 <br/></p>"
          },
          {
            "group": "Success 200",
            "type": "Array",
            "optional": false,
            "field": "docList",
            "description": ""
          },
          {
            "group": "Success 200",
            "type": "Object",
            "optional": false,
            "field": "docList.docServer",
            "description": ""
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "docList.docServer.serverAddress",
            "description": "<p>地址:端口</p>"
          },
          {
            "group": "Success 200",
            "type": "int",
            "optional": false,
            "field": "docList.docServer.count",
            "description": "<p>当前等待人数</p>"
          }
        ]
      },
      "examples": [
        {
          "title": "返回示例",
          "content": "<?xml version=“1.0” encoding=\"UTF-8\"?>\n<result>\n    <errorCode>0</errorCode>\n    <doclist>\n        <docServer>\n            <serverAddress>127.0.0.1:8080</serverAddress>\n            <count>0</count>\n        </docServer>\n    </doclist>\n</result>",
          "type": "xml"
        }
      ]
    },
    "filename": "./src/get_document_url.js",
    "groupTitle": "doc"
  },
  {
    "type": "post",
    "url": "/3m/media/get_media_list.do",
    "title": "27.查询站点的伴音列表",
    "name": "get_media_list",
    "group": "doc",
    "version": "2.1.0",
    "description": "<p>查询站点的伴音列表</p>",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "siteId",
            "description": "<p>站点标识</p>"
          },
          {
            "group": "Parameter",
            "type": "Long",
            "optional": false,
            "field": "timestamp",
            "description": "<p>时间戳</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "authId",
            "description": "<p>MD5(key+siteId+timestamp), 其中 key 为与系统约定的加密 key</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "beginTime",
            "description": "<p>开始日期。格式：YYYY-MM-DD HH:MM:SS</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "endTime",
            "description": "<p>结束日期。格式：YYYY-MM-DD HH:MM:SS</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": true,
            "field": "name",
            "description": "<p>文档名称</p>"
          }
        ]
      },
      "examples": [
        {
          "title": "请求示例",
          "content": "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n<param>\n    <siteId>admin</siteId>\n    <beginTime>2017-02-01 00:00:00</beginTime>\n    <endTime>2017-02-22 00:00:00</endTime>\n    <name></name>\n    <timestamp>1487756351064</timestamp>\n    <authId>6f584b3a816c1405107ddd657e95292b</authId>\n</param>",
          "type": "xml"
        }
      ]
    },
    "success": {
      "fields": {
        "Success 200": [
          {
            "group": "Success 200",
            "type": "int",
            "optional": false,
            "field": "errorCode",
            "description": "<p>0：正常 <br/> 1：siteId 错误 <br/> 2：站点未到生效日期 <br/> 3：站点过期 <br/> 4：authId 错误 <br/> 5：authId 不能重复使用 <br/> 6：timestamp 超时 <br/> 10：报文格式错误 <br/> 11：beginTime 格式错误 <br/> 12：endTime 格式错误 <br/> 13：endTime 在 beginTime 之前 <br/></p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "beginTime",
            "description": ""
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "endTime",
            "description": ""
          },
          {
            "group": "Success 200",
            "type": "int",
            "optional": false,
            "field": "mediaCount",
            "description": ""
          },
          {
            "group": "Success 200",
            "type": "Array",
            "optional": false,
            "field": "mediaList",
            "description": ""
          },
          {
            "group": "Success 200",
            "type": "Object",
            "optional": false,
            "field": "mediaList.mediaInfo",
            "description": ""
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "mediaList.mediaInfo.userName",
            "description": "<p>上传者用户名</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "mediaList.mediaInfo.startTime",
            "description": "<p>上传开始时间</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "mediaList.mediaInfo.endTime",
            "description": "<p>上传结束时间</p>"
          },
          {
            "group": "Success 200",
            "type": "int",
            "optional": false,
            "field": "mediaList.mediaInfo.status",
            "description": "<p>状态 0：上传中 <br/> 1：上传完毕 <br/> 2：处理中 <br/> 3: 发布成功 <br/> 4：取消 <br/> 5：删除 <br/> 6：失败 <br/></p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "mediaList.mediaInfo.name",
            "description": "<p>名称</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "mediaList.mediaInfo.ID",
            "description": "<p>id</p>"
          }
        ]
      },
      "examples": [
        {
          "title": "返回示例",
          "content": "<?xml version=“1.0” encoding=\"UTF-8\"?>\n<result>\n    <errorCode>0</errorCode>\n    <beginTime>2013-12-01 00:00:00</beginTime>\n    <endTime>2013-12-31 00:00:00</endTime>\n    <mediaCount>321</mediaCount>\n    <mediaList>\n        <mediaInfo>\n            <userName>ChinaBj001</userName>\n            <startTime>2013-09-11 14:02:05</startTime>\t\t\t\t    \n            <endTime>2013-09-11 14:15:47</endTime>\n            <status>0</status>\n            <name>123.mp3</name>\n            <ID>123abcd</ID>\n        </mediaInfo>\n    </mediaList >\n</result>",
          "type": "xml"
        }
      ]
    },
    "filename": "./src/get_media_list.js",
    "groupTitle": "doc"
  },
  {
    "type": "post",
    "url": "/DocSharing/mediaUploadForeign",
    "title": "26.上传伴音文件",
    "name": "mediaUploadForeign",
    "group": "doc",
    "version": "2.1.0",
    "description": "<p>上传伴音文件。<br/> 只允许 mp3 文件。<br/> 文件大小不能超过100M。<br/> 需要用到接口 <b>21</b> 中得到的文档服务器地址。</p>",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "siteId",
            "description": "<p>站点标识</p>"
          },
          {
            "group": "Parameter",
            "type": "Long",
            "optional": false,
            "field": "timestamp",
            "description": "<p>时间戳</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "authId",
            "description": "<p>MD5(key+siteId+timestamp), 其中 key 为与系统约定的加密 key</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "createUserName",
            "description": "<p>上传者名字</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "createUserID",
            "description": "<p>上传者 id</p>"
          }
        ]
      },
      "examples": [
        {
          "title": "请求示例",
          "content": "<html>\n<body>\n上传文件程序应用示例\n<form action=\"mediaUploadForeign\" method=\"post\" enctype=\"multipart/form-data\">\n请选择要上传的文件<input type=\"file\" name=\"upfile\" size=\"50\">\nsiteID：<input type=\"text\" name=\"siteID\" size=\"50\" value=\"admin\">\ntimestamp：<input type=\"text\" name=\"timestamp\" size=\"50\" value=\"1442286924284\">\nauthId:<input type=\"text\" name=\"authId\" size=\"50\" value=\"68e150f469667a9972b7f82bc6ec0877\">\ncreateUserName：<input type=\"text\" name=\"createUserName\" size=\"50\" value=\"admin\">\ncreateUserID：<input type=\"text\" name=\"createUserID\" size=\"50\" value=\"402880f44fa5bcac014fa5dff5330001\">\n<input type=\"submit\" value=\"提交\">\n</form>\n</body>\n</html>",
          "type": "form-data"
        }
      ]
    },
    "success": {
      "fields": {
        "Success 200": [
          {
            "group": "Success 200",
            "type": "Array",
            "optional": false,
            "field": "docList",
            "description": ""
          },
          {
            "group": "Success 200",
            "type": "Object",
            "optional": false,
            "field": "docList.doc",
            "description": ""
          },
          {
            "group": "Success 200",
            "type": "int",
            "optional": false,
            "field": "docList.doc.errorCode",
            "description": "<p>0：成功 <br/> 1：siteId 错误 <br/> 2：站点未到生效日期 <br/> 3：站点过期 <br/> 4：authId 错误 <br/> 5：authId 不能重复使用 <br/> 6：timestamp 超时 <br/> 7：上传格式不正确 <br/></p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "docList.doc.mediaId",
            "description": "<p>id</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "docList.doc.filepath",
            "description": "<p>绝对路径</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "docList.doc.relativeLocation",
            "description": "<p>相对路径</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "docList.doc.filetype",
            "description": "<p>文件类型</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "docList.doc.fileName",
            "description": "<p>文件名称</p>"
          }
        ]
      },
      "examples": [
        {
          "title": "返回示例",
          "content": "<?xml version=“1.0” encoding=\"UTF-8\"?>\n<result>\n    <errorCode>0</errorCode>\n    <mediaId>402880f84ff3bf77014ff3c0bcdb0002</mediaId>\n    <filepath>http://127.0.0.1:8080/DocSharing/data/0/20151009-104200/0eb9a0c3781f5017c866127067a7e968.mp3&lt/filepath>\n    <relativeLocation>/DocSharing/data/0/20151009-104200/0eb9a0c3781f5017c866127067a7e968.mp3</relativeLocation>\n    <filetype>mp3</filetype>\n    <fileName>凤凰传奇 - 我和草原有个约定.mp3</fileName>\n</result>",
          "type": "xml"
        }
      ]
    },
    "filename": "./src/media_upload_foreign.js",
    "groupTitle": "doc"
  },
  {
    "type": "post",
    "url": "/DocSharing/sharedMediaUpload",
    "title": "31.上传媒体共享的文件",
    "name": "sharedMediaUpload",
    "group": "doc",
    "version": "2.1.0",
    "description": "<p>上传媒体共享的文件。<br/> 允许格式：mp4/mp3/flv。<br/> 允许大小：100M。<br/> 允许同时上传多个文件，最多10个。<br/> 使用接口 <b>21</b> 中得到的文档服务器地址上传。</p>",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "siteId",
            "description": "<p>站点标识</p>"
          },
          {
            "group": "Parameter",
            "type": "Long",
            "optional": false,
            "field": "timestamp",
            "description": "<p>时间戳</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "authId",
            "description": "<p>MD5(siteId+timestamp)</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "createUserName",
            "description": "<p>上传者名字</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "createUserID",
            "description": "<p>上传者 id</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": true,
            "field": "mtgKey",
            "description": "<p>课堂标识，如果指定该值，会将文件绑定到课堂</p>"
          }
        ]
      },
      "examples": [
        {
          "title": "请求示例",
          "content": "<html>\n<body>\n上传文件程序应用示例\n<form action=\"sharedMediaUpload\" method=\"post\" enctype=\"multipart/form-data\">\n请选择要上传的文件<input type=\"file\" name=\"upfile\" size=\"50\">\nsiteID：<input type=\"text\" name=\"siteID\" size=\"50\" value=\"admin\">\ntimestamp：<input type=\"text\" name=\"timestamp\" size=\"50\" value=\"1442286924284\">\nauthId:<input type=\"text\" name=\"authId\" size=\"50\" value=\"68e150f469667a9972b7f82bc6ec0877\">\ncreateUserName：<input type=\"text\" name=\"createUserName\" size=\"50\" value=\"admin\">\ncreateUserID：<input type=\"text\" name=\"createUserID\" size=\"50\" value=\"402880f44fa5bcac014fa5dff5330001\">\n<input type=\"submit\" value=\"提交\">\n</form>\n</body>\n</html>",
          "type": "form-data"
        }
      ]
    },
    "success": {
      "fields": {
        "Success 200": [
          {
            "group": "Success 200",
            "type": "int",
            "optional": false,
            "field": "code",
            "description": "<p>0：成功 <br/> 1：不是上传请求 <br/> 2：编码错误 <br/> 3：无法解析请求内容 <br/> 4：没有上传文件，或者上传文件超过10个 <br/> 5：siteId 不能为空 <br/> 6：authId 错误 <br/> 7：文件类型不支持 <br/> 8：保存文件信息失败 <br/> 10：保存文件失败 <br/></p>"
          },
          {
            "group": "Success 200",
            "type": "Array",
            "optional": false,
            "field": "list",
            "description": ""
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "list.id",
            "description": "<p>文件 id</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "list.name",
            "description": "<p>文件名称</p>"
          }
        ]
      },
      "examples": [
        {
          "title": "返回示例",
          "content": "{\n  \"list\": [\n    {\n      \"id\": \"1\",\n      \"name\": \"1.mp4\",\n    }\n  ],\n  \"code\": 0\n}",
          "type": "json"
        }
      ]
    },
    "filename": "./src/shared_media_upload.js",
    "groupTitle": "doc"
  },
  {
    "type": "post",
    "url": "/3m/api/sharedMedia/findBySite.do",
    "title": "32.查询站点的媒体文件",
    "name": "sharedMedia_findBySite",
    "group": "doc",
    "version": "2.1.0",
    "description": "<p>查询站点的媒体共享文件列表</p>",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "siteId",
            "description": "<p>站点标识</p>"
          },
          {
            "group": "Parameter",
            "type": "Long",
            "optional": false,
            "field": "timestamp",
            "description": "<p>时间戳</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "authId",
            "description": "<p>MD5(key+siteId+timestamp), 其中 key 为与系统约定的加密 key</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "beginTime",
            "description": "<p>开始日期。格式：YYYY-MM-DD HH:MM:SS</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "endTime",
            "description": "<p>结束日期。格式：YYYY-MM-DD HH:MM:SS</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": true,
            "field": "name",
            "description": "<p>文档名称</p>"
          }
        ]
      },
      "examples": [
        {
          "title": "请求示例",
          "content": "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n<param>\n    <siteId>admin</siteId>\n    <beginTime>2017-02-01 00:00:00</beginTime>\n    <endTime>2017-02-22 00:00:00</endTime>\n    <name></name>\n    <timestamp>1487756351064</timestamp>\n    <authId>6f584b3a816c1405107ddd657e95292b</authId>\n</param>",
          "type": "xml"
        }
      ]
    },
    "success": {
      "fields": {
        "Success 200": [
          {
            "group": "Success 200",
            "type": "int",
            "optional": false,
            "field": "errorCode",
            "description": "<p>0：正常 <br/> 1：siteId 错误 <br/> 2：站点未到生效日期 <br/> 3：站点过期 <br/> 4：authId 错误 <br/> 5：authId 不能重复使用 <br/> 6：timestamp 超时 <br/> 10：报文格式错误 <br/></p>"
          },
          {
            "group": "Success 200",
            "type": "Array",
            "optional": false,
            "field": "mediaList",
            "description": ""
          },
          {
            "group": "Success 200",
            "type": "Object",
            "optional": false,
            "field": "mediaList.media",
            "description": ""
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "mediaList.media.id",
            "description": "<p>文件 id</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "mediaList.media.name",
            "description": "<p>文件名称</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "mediaList.media.userName",
            "description": "<p>上传者用户名</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "mediaList.media.startTime",
            "description": "<p>上传开始时间</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "mediaList.media.endTime",
            "description": "<p>上传结束时间</p>"
          }
        ]
      },
      "examples": [
        {
          "title": "返回示例",
          "content": "<?xml version=“1.0” encoding=\"UTF-8\"?>\n<result>\n    <errorCode>0</errorCode>\n    <mediaList>\n        <media>\n            <id>3</id>\n            <name>123.mp3</name>\n            <userName>somebody</userName>\n            <startTime>2013-09-11 14:02:05</startTime>\n            <endTime>2013-09-11 14:15:47</endTime>\n        </media>\n    </mediaList >\n</result>",
          "type": "xml"
        }
      ]
    },
    "filename": "./src/find_shared_media.js",
    "groupTitle": "doc"
  },
  {
    "type": "post",
    "url": "/3m/meeting/updateMeetingDoc.do",
    "title": "34.更新课堂的文档",
    "name": "updateMeetingDoc",
    "group": "doc",
    "version": "2.1.0",
    "description": "<p>更新课堂的文档，可以增加/删除。</p>",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "siteId",
            "description": "<p>站点标识</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "mtgKey",
            "description": "<p>课堂标识</p>"
          },
          {
            "group": "Parameter",
            "type": "Long",
            "optional": false,
            "field": "timestamp",
            "description": "<p>时间戳</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "authId",
            "description": "<p>MD5(key+siteId+timestamp)</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "deleteIds",
            "description": "<p>要删除的id列表，字符串，多个id间用英文逗号分隔</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "addIds",
            "description": "<p>增加的id列表，字符串，多个id间用英文逗号分隔</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": true,
            "field": "type",
            "defaultValue": "1",
            "description": "<p>文档类型：1 文档共享 2 伴音 3 媒体共享</p>"
          }
        ]
      },
      "examples": [
        {
          "title": "请求示例",
          "content": "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n<param>\n    <siteId>shanghai</siteId>\n    <mtgKey>10002321</mtgKey>\n    <timestamp>1392032123210</timestamp>\n    <authId>4297f44b13955235245b2497399d7a93</authId>\n    <deleteIds>1,2</deleteIds>\n    <addIds>3,4</addIds>\n    <type>3</type>\n</param>",
          "type": "xml"
        }
      ]
    },
    "success": {
      "fields": {
        "Success 200": [
          {
            "group": "Success 200",
            "type": "int",
            "optional": false,
            "field": "errorCode",
            "description": "<p>0：正常 <br/> 1：siteId 错误，站点不存在或已删除 <br/> 2：站点未到生效日期 <br/> 3: 站点过期 <br/> 4：authId 错误 <br/> 7：mtgKey 不存在 <br/> 10：报文格式错误 <br/></p>"
          }
        ]
      },
      "examples": [
        {
          "title": "返回示例",
          "content": "<?xml version=“1.0” encoding=\"UTF-8\"?>\n<result>\n    <errorCode>0</errorCode>\n</result>",
          "type": "xml"
        }
      ]
    },
    "filename": "./src/update_meeting_doc.js",
    "groupTitle": "doc"
  },
  {
    "type": "post",
    "url": "/DocSharing/zipUploadForeign",
    "title": "35.zip上传",
    "name": "zipUploadForeign",
    "group": "doc",
    "version": "2.1.0",
    "description": "<p>zip文档上传，特定的zip，转换动态 PPT 生成的压缩包。 <br/> 支持最多10个文档同时上传。<br/> 支持类型：zip。<br/> 文件大小不能超过50M。<br/> 需要用到接口 <b>21</b> 中得到的文档服务器地址。</p>",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "siteId",
            "description": "<p>站点标识</p>"
          },
          {
            "group": "Parameter",
            "type": "Long",
            "optional": false,
            "field": "timestamp",
            "description": "<p>时间戳</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "authId",
            "description": "<p>MD5(key+siteId+timestamp), 其中 key 为与系统约定的加密 key</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "createUserID",
            "description": "<p>上传者 id</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "createUserName",
            "description": "<p>上传者名字</p>"
          }
        ]
      },
      "examples": [
        {
          "title": "请求示例",
          "content": "<html>\n<body>\n上传文件程序应用示例\n<form action=\"zipUploadForeign\" method=\"post\" enctype=\"multipart/form-data\">\n请选择要上传的文件<input type=\"file\" name=\"upfile\" size=\"50\">\nsiteID：<input type=\"text\" name=\"siteID\" size=\"50\" value=\"admin\">\ntimestamp：<input type=\"text\" name=\"timestamp\" size=\"50\" value=\"1442286924284\">\nauthId:<input type=\"text\" name=\"authId\" size=\"50\" value=\"68e150f469667a9972b7f82bc6ec0877\">\ncreateUserID：<input type=\"text\" name=\"createUserID\" size=\"50\" value=\"402880f44fa5bcac014fa5dff5330001\">\ncreateUserName：<input type=\"text\" name=\"createUserName\" size=\"50\" value=\"admin\">\n\n<input type=\"submit\" value=\"提交\">\n</form>\n</body>\n</html>",
          "type": "form-data"
        }
      ]
    },
    "success": {
      "fields": {
        "Success 200": [
          {
            "group": "Success 200",
            "type": "int",
            "optional": false,
            "field": "errorCode",
            "description": "<p>0：成功 <br/> 1：不是上传请求 <br/> 3：请求格式错误 <br/> 5：siteId 不能为空 <br/> 6：authId 错误 <br/> 7：格式不正确，不是 zip <br/> 10：保存失败 <br/> 11：解压失败 <br/> 12：未在包中找到 index.html <br/></p>"
          },
          {
            "group": "Success 200",
            "type": "Array",
            "optional": false,
            "field": "files",
            "description": ""
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "files.docId",
            "description": "<p>文档 id</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "files.docName",
            "description": "<p>文档名称</p>"
          }
        ]
      },
      "examples": [
        {
          "title": "返回示例",
          "content": "{\"files\":[{\"fileName\":\"测试.zip\",\"docId\":\"40285d385c42d956015c42d9ddf60001\"},{\"fileName\":\"城市6.zip\",\"docId\":\"40285d385c42d956015c42d9e0530002\"}],\"code\":0}",
          "type": "json"
        }
      ]
    },
    "filename": "./src/zip_upload_foreign.js",
    "groupTitle": "doc"
  },
  {
    "type": "POST",
    "url": "/3m/meeting/timestamp.do",
    "title": "01.获取服务器时间戳",
    "name": "getTimestamp",
    "group": "other",
    "version": "2.1.0",
    "description": "<p>获取服务器时间戳</p>",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "siteId",
            "description": "<p>站点标识</p>"
          },
          {
            "group": "Parameter",
            "type": "Long",
            "optional": false,
            "field": "random",
            "description": "<p>随机整数</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "authId",
            "description": "<p>MD5(key+siteId+random), 其中 key 为与系统约定的加密 key</p>"
          }
        ]
      },
      "examples": [
        {
          "title": "请求示例",
          "content": "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n<param>\n<siteId>shanghai</siteId>\n<random>1293230129</random>\n<authId>4297f44b13955235245b2497399d7a93</authId>\n</param>",
          "type": "xml"
        }
      ]
    },
    "success": {
      "fields": {
        "Success 200": [
          {
            "group": "Success 200",
            "type": "int",
            "optional": false,
            "field": "errorCode",
            "description": "<p>0：各参数都正确 <br/> 1：siteId 错误 <br/> 2：站点未到生效日期 <br/> 3: 站点过期 <br/> 4：authId 错误 <br/> 10：报文格式错误 <br/></p>"
          },
          {
            "group": "Success 200",
            "type": "Long",
            "optional": false,
            "field": "random",
            "description": "<p>传入的 random</p>"
          },
          {
            "group": "Success 200",
            "type": "Long",
            "optional": false,
            "field": "timestamp",
            "description": "<p>时间戳</p>"
          }
        ]
      },
      "examples": [
        {
          "title": "返回示例",
          "content": "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n<result>\n<errorCode>0</errorCode>\n<random>1293230129</random>\n<timestamp>1392032123210</timestamp>\n</result>",
          "type": "xml"
        }
      ]
    },
    "filename": "./src/timestamp.js",
    "groupTitle": "other"
  },
  {
    "type": "post",
    "url": "/3m/meeting/apply_test_site.do",
    "title": "17.申请创建试用站点",
    "name": "apply_test_site",
    "group": "site",
    "version": "2.1.0",
    "description": "<p>申请创建试用站点</p>",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "siteId",
            "description": "<p>站点标识</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "parentSiteId",
            "description": "<p>所属站点标识</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "beginTime",
            "description": "<p>站点启用日期 yyyy-mm-dd</p>"
          },
          {
            "group": "Parameter",
            "type": "int",
            "optional": false,
            "field": "stype",
            "defaultValue": "0",
            "description": "<p>产品授权方式： 0 试用用户， 1 正式用户</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": true,
            "field": "password",
            "description": "<p>站点管理员的密码，不填时随机生成</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "email",
            "description": "<p>申请人邮箱</p>"
          },
          {
            "group": "Parameter",
            "type": "Long",
            "optional": false,
            "field": "timestamp",
            "description": "<p>时间戳</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "authId",
            "description": "<p>MD5(key+parentSiteId+timestamp), 其中 key 为与系统约定的加密 key</p>"
          }
        ]
      },
      "examples": [
        {
          "title": "请求示例",
          "content": "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n<param>\n    <siteId>childSite</siteId>\n    <parentSiteId>parent</parentSiteId>\n    <timestamp>111</timestamp>\n    <authId>111</authId>\n    <beginTime>2016-01-01</beginTime>\n    <stype>1</stype>\n    <email>xxx@yyy.com</email>\n</param>",
          "type": "xml"
        }
      ]
    },
    "success": {
      "fields": {
        "Success 200": [
          {
            "group": "Success 200",
            "type": "int",
            "optional": false,
            "field": "errorCode",
            "description": "<p>0：正常 <br/> 1：所属站点不存在或已删除 <br/> 2：所属站点未到生效日期 <br/> 3: 所属站点过期 <br/> 4：authId 错误 <br/> 5：authId 不能重复使用 <br/> 6：timestamp 超时 <br/> 7：站点模板不存在 <br/> 8：siteId已存在 <br/> 9：siteId 不能为空 <br/> 10：parentSiteId 不能为空 <br/> 11：timestamp 不能为空 <br/> 12：authId 不能为空 <br/> 13：beginTime 不能为空 <br/> 14：email 不能为空 <br/> 15：email 格式不正确 <br/> 16：beginTime 格式不正确 <br/> 17：stype 不能为空 <br/> 18：stype 格式不正确 <br/></p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "msg",
            "description": "<p>错误信息</p>"
          },
          {
            "group": "Success 200",
            "type": "Object",
            "optional": false,
            "field": "data",
            "description": "<p>详细信息</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "data.siteId",
            "description": "<p>站点标识</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "data.siteKey",
            "description": "<p>站点 Key</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "data.username",
            "description": "<p>站点管理员用户名</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "data.password",
            "description": "<p>站点管理员密码</p>"
          }
        ]
      },
      "examples": [
        {
          "title": "返回示例",
          "content": "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n<result>\n    <errcode>0</errcode>\n    <msg>操作成功</msg>\n    <data>\n        <siteid>ceshi3</siteid>\n        <sitekey>297e92ae4e2af258014e2af258ac0000</sitekey>\n        <username>admin</username>\n        <password>admin</password>\n    </data>\n</result>",
          "type": "xml"
        }
      ]
    },
    "filename": "./src/apply_test_site.js",
    "groupTitle": "site"
  },
  {
    "type": "post",
    "url": "/3m/meeting/count_online_total.do",
    "title": "16.查询站点在线人数",
    "name": "count_online_total",
    "group": "site",
    "version": "2.1.0",
    "description": "<p>查询当前站点的在线总人数</p>",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "siteId",
            "description": "<p>站点标识</p>"
          },
          {
            "group": "Parameter",
            "type": "Long",
            "optional": false,
            "field": "timestamp",
            "description": "<p>时间戳</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "authId",
            "description": "<p>MD5(key+siteId+timestamp)</p>"
          }
        ]
      },
      "examples": [
        {
          "title": "请求示例",
          "content": "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n<param>\n<siteId>shanghai</siteId>\n<timestamp>1392032123210</timestamp>\n<authId>4297f44b13955235245b2497399d7a93</authId>\n</param>",
          "type": "xml"
        }
      ]
    },
    "success": {
      "fields": {
        "Success 200": [
          {
            "group": "Success 200",
            "type": "int",
            "optional": false,
            "field": "errorCode",
            "description": "<p>0：正常 <br/> 1：siteId 错误，站点不存在或已删除 <br/> 2：站点未到生效日期 <br/> 3: 站点过期 <br/> 4：authId 错误 <br/> 6：timestamp 超时 <br/> 10：报文格式错误 <br/></p>"
          },
          {
            "group": "Success 200",
            "type": "int",
            "optional": false,
            "field": "online",
            "description": "<p>当前在线人数</p>"
          }
        ]
      },
      "examples": [
        {
          "title": "返回示例",
          "content": "<?xml version=“1.0” encoding=\"UTF-8\"?>\n<result>\n<errorCode>0</errorCode>\n<online>18</online>\n</result>",
          "type": "xml"
        }
      ]
    },
    "filename": "./src/count_online_total.js",
    "groupTitle": "site"
  },
  {
    "type": "post",
    "url": "/3m/meeting/edit_test_site.do",
    "title": "18.编辑试用站点",
    "name": "edit_test_site",
    "group": "site",
    "version": "2.1.0",
    "description": "<p>编辑创建试用站点</p>",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "siteId",
            "description": "<p>站点标识</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "email",
            "description": "<p>联系人邮箱</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "siteName",
            "description": "<p>站点名称</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "siteDomain",
            "description": "<p>站点域名</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "endDate",
            "description": "<p>站点失效时间</p>"
          },
          {
            "group": "Parameter",
            "type": "int",
            "optional": false,
            "field": "autoRecording",
            "description": "<p>是否自动录制：1 是，0 否</p>"
          },
          {
            "group": "Parameter",
            "type": "int",
            "optional": false,
            "field": "maxCapacity",
            "description": "<p>允许最大并发人数</p>"
          },
          {
            "group": "Parameter",
            "type": "int",
            "optional": false,
            "field": "maxAudioChannels",
            "description": "<p>最大音频路数</p>"
          },
          {
            "group": "Parameter",
            "type": "int",
            "optional": false,
            "field": "maxVideoChannels",
            "description": "<p>最大视频路数</p>"
          },
          {
            "group": "Parameter",
            "type": "Boolean",
            "optional": false,
            "field": "customLogo",
            "description": "<p>是否自定义站点logo</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "webCopyright",
            "description": "<p>站点Copyright</p>"
          },
          {
            "group": "Parameter",
            "type": "int",
            "optional": false,
            "field": "supportMedia",
            "description": "<p>是否支持媒体共享：1 是，0 否</p>"
          },
          {
            "group": "Parameter",
            "type": "int",
            "optional": false,
            "field": "supportRecord",
            "description": "<p>是否支持录制：1 是，0 否</p>"
          },
          {
            "group": "Parameter",
            "type": "int",
            "optional": false,
            "field": "supportVideo",
            "description": "<p>是否支持视频：1 是，0 否</p>"
          },
          {
            "group": "Parameter",
            "type": "int",
            "optional": false,
            "field": "supportScreen",
            "description": "<p>是否支持屏幕共享：1 是，0 否</p>"
          },
          {
            "group": "Parameter",
            "type": "int",
            "optional": false,
            "field": "pptFlash",
            "description": "<p>是否支持动态PPT：1 是，0 否</p>"
          },
          {
            "group": "Parameter",
            "type": "int",
            "optional": false,
            "field": "allowSettingResolution",
            "description": "<p>是否支持切换视频分辨率：1 是，0 否</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "qqSupport",
            "description": "<p>课堂里的QQ求助对象</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "mobileSupport",
            "description": "<p>课堂里的手机求助对象</p>"
          },
          {
            "group": "Parameter",
            "type": "int",
            "optional": false,
            "field": "siteType",
            "defaultValue": "0",
            "description": "<p>产品授权方式：1 正式用户，0 试用用户</p>"
          },
          {
            "group": "Parameter",
            "type": "Long",
            "optional": false,
            "field": "timestamp",
            "description": "<p>时间戳</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "authId",
            "description": "<p>MD5(key+siteId+timestamp), 其中 key 为与系统约定的加密 key</p>"
          }
        ]
      },
      "examples": [
        {
          "title": "请求示例",
          "content": "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n<param>\n    <siteId>shanghai</siteId>\n    <timestamp>{timestamp}</timestamp>\n    <authId>{authId}</authId>\n    <email>test@sample.cn</email>\n    <siteName>测试站点</siteName>\n    <siteDomain>www</siteDomain>\n    <endDate>2020-08-20</endDate>\n    <autoRecording>false</autoRecording>\n    <maxCapacity>1000</maxCapacity>\n    <maxAudioChannels>5</maxAudioChannels>\n    <maxVideoChannels>5</maxVideoChannels>\n    <customLogo>false</customLogo>\n    <webCopyright>copyright</webCopyright>\n    <supportMedia>1</supportMedia>\n    <supportRecord>1</supportRecord>\n    <supportVideo>1</supportVideo>\n    <supportScreen>1</supportScreen>\n    <pptFlash>1</pptFlash>\n    <allowSettingResolution>false</allowSettingResolution>\n    <qqSupport>12390324323</qqSupport>\n    <mobileSupport>18900000000</mobileSupport>\n    <siteType>1</siteType>\n</param>",
          "type": "xml"
        }
      ]
    },
    "success": {
      "fields": {
        "Success 200": [
          {
            "group": "Success 200",
            "type": "int",
            "optional": false,
            "field": "errorCode",
            "description": "<p>0：正常 <br/> 1：站点不存在 <br/> 2：站点未到生效日期 <br/> 4：authId 错误 <br/> 5：authId 不能重复使用 <br/> 6：timestamp 超时 <br/> 7：maxAudioChannels不能小于0 <br/> 8：maxAudioChannels不能大于5 <br/> 9：maxVideoChannels不能小于0 <br/> 10：maxVideoChannels不能大于5 <br/> 11：endDate 格式不正确 <br/></p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "msg",
            "description": "<p>错误信息</p>"
          }
        ]
      },
      "examples": [
        {
          "title": "返回示例",
          "content": "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n<result>\n    <errcode>0</errcode>\n    <msg>操作成功</msg>\n</result>",
          "type": "xml"
        }
      ]
    },
    "filename": "./src/edit_test_site.js",
    "groupTitle": "site"
  },
  {
    "type": "post",
    "url": "/3m/meeting/get_test_site.do",
    "title": "19.查询试用站点信息",
    "name": "get_test_site",
    "group": "site",
    "version": "2.1.0",
    "description": "<p>查询试用站点信息</p>",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "siteId",
            "description": "<p>站点标识</p>"
          },
          {
            "group": "Parameter",
            "type": "Long",
            "optional": false,
            "field": "timestamp",
            "description": "<p>时间戳</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "authId",
            "description": "<p>MD5(key+siteId+timestamp), 其中 key 为与系统约定的加密 key</p>"
          }
        ]
      },
      "examples": [
        {
          "title": "请求示例",
          "content": "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n<param>\n    <siteId>childSite</siteId>\n    <timestamp>111</timestamp>\n    <authId>111</authId>\n</param>",
          "type": "xml"
        }
      ]
    },
    "success": {
      "fields": {
        "Success 200": [
          {
            "group": "Success 200",
            "type": "int",
            "optional": false,
            "field": "errorCode",
            "description": "<p>0：正常 <br/> 1：站点不存在<br/> 4：authId 错误 <br/> 5：authId 不能重复使用 <br/> 6：timestamp 超时 <br/> 10：报文格式错误 <br/></p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "msg",
            "description": "<p>错误信息</p>"
          },
          {
            "group": "Success 200",
            "type": "Object",
            "optional": false,
            "field": "data",
            "description": "<p>详细信息</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "data.siteId",
            "description": "<p>站点标识</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "data.key",
            "description": "<p>站点 Key</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "data.startdate",
            "description": "<p>生效时间</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "data.enddate",
            "description": "<p>失效时间</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "data.helpsite",
            "description": "<p>帮助页面</p>"
          },
          {
            "group": "Success 200",
            "type": "int",
            "optional": false,
            "field": "data.audioVideoInteractive",
            "description": "<p>一般与会者是否参加音视频互动</p>"
          },
          {
            "group": "Success 200",
            "type": "int",
            "optional": false,
            "field": "data.enableRecording",
            "description": "<p>是否启用录制</p>"
          },
          {
            "group": "Success 200",
            "type": "int",
            "optional": false,
            "field": "data.autoRecording",
            "description": "<p>是否自动录制</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "data.siteName",
            "description": "<p>站点名称</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "data.siteDomain",
            "description": "<p>站点域名</p>"
          },
          {
            "group": "Success 200",
            "type": "int",
            "optional": false,
            "field": "data.maxCapacity",
            "description": "<p>最大并发人数</p>"
          },
          {
            "group": "Success 200",
            "type": "Boolean",
            "optional": false,
            "field": "data.supportScreen",
            "description": "<p>是否支持屏幕共享</p>"
          },
          {
            "group": "Success 200",
            "type": "Boolean",
            "optional": false,
            "field": "data.supportMedia",
            "description": "<p>是否支持媒体共享</p>"
          },
          {
            "group": "Success 200",
            "type": "Boolean",
            "optional": false,
            "field": "data.supportRecord",
            "description": "<p>是否支持录制</p>"
          },
          {
            "group": "Success 200",
            "type": "Boolean",
            "optional": false,
            "field": "data.recordVisible",
            "description": "<p>是否显示服务器录制</p>"
          },
          {
            "group": "Success 200",
            "type": "Boolean",
            "optional": false,
            "field": "data.localRecordVisible",
            "description": "<p>是否显示本地录制</p>"
          },
          {
            "group": "Success 200",
            "type": "Boolean",
            "optional": false,
            "field": "data.supportVideo",
            "description": "<p>是否支持视频</p>"
          },
          {
            "group": "Success 200",
            "type": "int",
            "optional": false,
            "field": "data.maxAudioChannels",
            "description": "<p>最大音频路数</p>"
          },
          {
            "group": "Success 200",
            "type": "int",
            "optional": false,
            "field": "data.maxVideoChannels",
            "description": "<p>最大视频路数</p>"
          },
          {
            "group": "Success 200",
            "type": "Boolean",
            "optional": false,
            "field": "data.siteType",
            "description": "<p>是否正式用户</p>"
          },
          {
            "group": "Success 200",
            "type": "Boolean",
            "optional": false,
            "field": "data.customLogo",
            "description": "<p>是否自定义logo</p>"
          },
          {
            "group": "Success 200",
            "type": "Boolean",
            "optional": false,
            "field": "data.pptflash",
            "description": "<p>是否支持动态PPT</p>"
          },
          {
            "group": "Success 200",
            "type": "Boolean",
            "optional": false,
            "field": "data.allowSettingResolution",
            "description": "<p>是否支持切换视频分辨率</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "data.website",
            "description": "<p>官网</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "data.webCopyright",
            "description": "<p>站点网站的Copyright</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "data.flashCopyright",
            "description": "<p>flash课堂的Copyright</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "data.mobileSupport",
            "description": "<p>课堂里的手机求助对象</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "data.creater",
            "description": "<p>课堂的父站点标识</p>"
          },
          {
            "group": "Success 200",
            "type": "int",
            "optional": false,
            "field": "data.extendTimes",
            "description": "<p>延长次数</p>"
          },
          {
            "group": "Success 200",
            "type": "int",
            "optional": false,
            "field": "data.siteStatus",
            "description": "<p>站点状态：1 待审核，2 审核未通过，3 启用，4 信用</p>"
          }
        ]
      },
      "examples": [
        {
          "title": "返回示例",
          "content": "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n<result>\n    <errcode>0</errcode>\n    <msg>操作成功</msg>\n    <data>\n        <siteid>{siteId}</siteid>\n        <key>{siteKey}</key>\n        <startdate>2014-10-10</startdate>\n        <enddate>2025-08-20</enddate>\n        <helpsite></helpsite>\n        <audioVideoInteractive>1</audioVideoInteractive>\n        <enableRecording>true</enableRecording>\n        <autoRecording>false</autoRecording>\n        <siteName>站点</siteName>\n        <siteDomain>www</siteDomain>\n        <maxCapacity>1000</maxCapacity>\n        <supportScreen>false</supportScreen>\n        <supportMedia>false</supportMedia>\n        <supportRecord>false</supportRecord>\n        <recordVisible>false</recordVisible>\n        <localRecordVisible>false</localRecordVisible>\n        <supportVideo>false</supportVideo>\n        <maxAudioChannels>5</maxAudioChannels>\n        <maxVideoChannels>5</maxVideoChannels>\n        <siteType>true</siteType>\n        <customLogo>false</customLogo>\n        <pptflash>false</pptflash>\n        <allowSettingResolution>false</allowSettingResolution>\n        <website>https://www.baidu.com</website>\n        <webCopyright>三芒世纪（北京）科技有限公司</webCopyright>\n        <flashCopyright>三芒世纪（北京）科技有限公司</flashCopyright>\n        <mobileSupport>18900000000</mobileSupport>\n        <creater>1</creater>\n        <extendTimes>0</extendTimes>\n        <siteStatus>1</siteStatus>\n    </data>\n</result>",
          "type": "xml"
        }
      ]
    },
    "filename": "./src/get_test_site.js",
    "groupTitle": "site"
  },
  {
    "type": "post",
    "url": "/3m/meeting/license.do",
    "title": "08.查询站点剩余点数",
    "name": "license",
    "group": "site",
    "version": "2.1.0",
    "description": "<p>查询站点剩余点数，即可以进入课堂的总人数</p>",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "siteId",
            "description": "<p>站点标识</p>"
          },
          {
            "group": "Parameter",
            "type": "Long",
            "optional": false,
            "field": "timestamp",
            "description": "<p>时间戳</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "authId",
            "description": "<p>MD5(key+siteId+timestamp), 其中 key 为与系统约定的加密 key</p>"
          }
        ]
      },
      "examples": [
        {
          "title": "请求示例",
          "content": "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n<param>\n<siteId>shanghai</siteId>\n<timestamp>1392032123210</timestamp>\n<authId>4297f44b13955235245b2497399d7a93</authId>\n</param>",
          "type": "xml"
        }
      ]
    },
    "success": {
      "fields": {
        "Success 200": [
          {
            "group": "Success 200",
            "type": "int",
            "optional": false,
            "field": "errorCode",
            "description": "<p>0：正常 <br/> 1：siteId 错误，站点不存在或已删除 <br/> 2：站点未到生效日期 <br/> 3: 站点过期 <br/> 4：authId 错误 <br/> 6：timestamp 超时 <br/> 7：mtgKey 不存在 <br/> 10：报文格式错误 <br/></p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "surplus",
            "description": "<p>剩余的点数</p>"
          }
        ]
      },
      "examples": [
        {
          "title": "返回示例",
          "content": "<?xml version=“1.0” encoding=\"UTF-8\"?>\n<result>\n<errorCode>0</errorCode>\n<surplus>20</surplus>\n</result>",
          "type": "xml"
        }
      ]
    },
    "filename": "./src/license.js",
    "groupTitle": "site"
  },
  {
    "type": "post",
    "url": "/3m/siteAction/uploadLogoForeign.do",
    "title": "29.修改课堂logo",
    "name": "uploadLogoForeign",
    "group": "site",
    "version": "2.1.0",
    "description": "<p>修改站点的所有课堂logo地址</p>",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "siteId",
            "description": "<p>站点标识</p>"
          },
          {
            "group": "Parameter",
            "type": "Long",
            "optional": false,
            "field": "timestamp",
            "description": "<p>时间戳</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "authId",
            "description": "<p>MD5(key+siteId+timestamp), 其中 key 为与系统约定的加密 key</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "flashCopyright",
            "description": "<p>课堂版权文字</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "flashLogoUrl",
            "description": "<p>课堂 logo 地址</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "flashLoginImgUrl",
            "description": "<p>课堂登录图片地址</p>"
          }
        ]
      },
      "examples": [
        {
          "title": "请求示例",
          "content": "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n<param>\n    <siteId>admin</siteId>\n    <flashCopyright>三芒世纪（北京）科技有限公司</flashCopyright>\n    <flashLogoUrl>402880f44fbb13e4014fbb1a0f9d0002</flashLogoUrl>\n    <flashLoginImgUrl>http://www.3mang.com/msg/2.jpg</flashLoginImgUrl>\n    <timestamp>1487756351064</timestamp>\n    <authId>http://www.3mang.com/msg/1.jpg</authId>\n</param>",
          "type": "xml"
        }
      ]
    },
    "success": {
      "fields": {
        "Success 200": [
          {
            "group": "Success 200",
            "type": "int",
            "optional": false,
            "field": "errorCode",
            "description": "<p>0：正常 <br/> 1：siteId 错误 <br/> 2：站点未到生效日期 <br/> 3：站点过期 <br/> 4：authId 错误 <br/> 5：authId 不能重复使用 <br/> 6：课堂版权不能为空 <br/> 7：课堂 logo 不能为空 <br/> 8：课堂登录图片不能为空 <br/> 10：报文格式错误 <br/></p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "msg",
            "description": "<p>错误信息</p>"
          }
        ]
      },
      "examples": [
        {
          "title": "返回示例",
          "content": "<?xml version=“1.0” encoding=\"UTF-8\"?>\n<result>\n    <errorCode>0</errorCode>\n    <msg>操作成功</msg>\n</result>",
          "type": "xml"
        }
      ]
    },
    "filename": "./src/upload_logo.js",
    "groupTitle": "site"
  },
  {
    "type": "post",
    "url": "/3m/meeting/conf_log.do",
    "title": "07.查询课堂用户进出记录",
    "name": "conf_log",
    "group": "user",
    "version": "2.1.0",
    "description": "<p>查询单个课堂中用户进出的历史记录</p>",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "siteId",
            "description": "<p>站点标识</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "mtgKey",
            "description": "<p>课堂的唯一标识，由第三方维护，最大长度64</p>"
          },
          {
            "group": "Parameter",
            "type": "int",
            "optional": false,
            "field": "pageNo",
            "defaultValue": "1",
            "description": "<p>查询第几页，如果超出实际页数，自动调整为第1页</p>"
          },
          {
            "group": "Parameter",
            "type": "int",
            "optional": true,
            "field": "pageSize",
            "defaultValue": "20",
            "description": "<p>每页显示多少条</p>"
          },
          {
            "group": "Parameter",
            "type": "Long",
            "optional": false,
            "field": "timestamp",
            "description": "<p>时间戳</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "authId",
            "description": "<p>MD5(key+siteId+mtgKey+timestamp), 其中 key 为与系统约定的加密 key</p>"
          }
        ]
      },
      "examples": [
        {
          "title": "请求示例",
          "content": "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n<param>\n<siteId>shanghai</siteId>\n<mtgKey>10002321</mtgKey>\n<pageNo>6</pageNo>\n<pageSize>30</pageSize>\n<timestamp>1392032123210</timestamp>\n<authId>4297f44b13955235245b2497399d7a93</authId>\n</param>",
          "type": "xml"
        }
      ]
    },
    "success": {
      "fields": {
        "Success 200": [
          {
            "group": "Success 200",
            "type": "int",
            "optional": false,
            "field": "errorCode",
            "description": "<p>0：正常 <br/> 1：siteId 错误，站点不存在或已删除 <br/> 2：站点未到生效日期 <br/> 3: 站点过期 <br/> 4：authId 错误 <br/> 5：authId 不能重复使用 <br/> 6：timestamp 超时 <br/> 7：mtgKey 不存在 <br/> 10：报文格式错误 <br/></p>"
          },
          {
            "group": "Success 200",
            "type": "int",
            "optional": false,
            "field": "pageNo",
            "description": "<p>传入的参数</p>"
          },
          {
            "group": "Success 200",
            "type": "int",
            "optional": false,
            "field": "pageSize",
            "description": "<p>传入的参数</p>"
          },
          {
            "group": "Success 200",
            "type": "int",
            "optional": false,
            "field": "logCount",
            "description": "<p>符合条件的总记录数</p>"
          },
          {
            "group": "Success 200",
            "type": "List",
            "optional": false,
            "field": "logList",
            "description": "<p>列表</p>"
          },
          {
            "group": "Success 200",
            "type": "Object",
            "optional": false,
            "field": "logList.logInfo",
            "description": "<p>进出信息对象</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "logList.logInfo.userId",
            "description": "<p>用户ID</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "logList.logInfo.userName",
            "description": "<p>用户姓名</p>"
          },
          {
            "group": "Success 200",
            "type": "int",
            "optional": false,
            "field": "logList.logInfo.userRole",
            "description": "<p>用户角色</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "logList.logInfo.joinTime",
            "description": "<p>进入时间</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "logList.logInfo.exitTime",
            "description": "<p>离开时间</p>"
          }
        ]
      },
      "examples": [
        {
          "title": "返回示例",
          "content": "<?xml version=“1.0” encoding=\"UTF-8\"?>\n<result>\n<errorCode>0</errorCode>\n<mtgKey>10002321</mtgKey>\n<pageNo>6</pageNo>\n<pageSize>30</pageSize>\n<logCount>321<logCount>\n<logList>\n    <logInfo>\n        <userId>12000232</userId>\n        <userName>ChinaBj001</userName>\n        <userRole>3</userRole>\n        <joinTime>2013-09-11 14:02:05</joinTime>\n        <exitTime>2013-09-11 14:15:47</exitTime>\n    </logInfo>\n</logList>\n</result>",
          "type": "xml"
        }
      ]
    },
    "filename": "./src/conf_log.js",
    "groupTitle": "user"
  },
  {
    "type": "post",
    "url": "/3m/meeting/conf_log_total.do",
    "title": "14.查询课堂用户进出总记录",
    "name": "conf_log_total",
    "group": "user",
    "version": "2.1.0",
    "description": "<p>查询单个课堂用户进出课堂的记录。统计用户第一次加入课堂时间和最后一次离开时间</p>",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "siteId",
            "description": "<p>站点标识</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "mtgKey",
            "description": "<p>课堂的唯一标识，由第三方维护，最大长度64</p>"
          },
          {
            "group": "Parameter",
            "type": "Long",
            "optional": false,
            "field": "timestamp",
            "description": "<p>时间戳</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "authId",
            "description": "<p>MD5(key+siteId+mtgKey+timestamp), 其中 key 为与系统约定的加密 key</p>"
          }
        ]
      },
      "examples": [
        {
          "title": "请求示例",
          "content": "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n<param>\n<siteId>shanghai</siteId>\n<mtgKey>10002321</mtgKey>\n<timestamp>1392032123210</timestamp>\n<authId>4297f44b13955235245b2497399d7a93</authId>\n</param>",
          "type": "xml"
        }
      ]
    },
    "success": {
      "fields": {
        "Success 200": [
          {
            "group": "Success 200",
            "type": "int",
            "optional": false,
            "field": "errorCode",
            "description": "<p>0：正常 <br/> 1：siteId 错误，站点不存在或已删除 <br/> 2：站点未到生效日期 <br/> 3: 站点过期 <br/> 4：authId 错误 <br/> 5：authId 不能重复使用 <br/> 6：timestamp 超时 <br/> 7：mtgKey 不存在 <br/> 10：报文格式错误 <br/></p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "mtgKey",
            "description": "<p>传入的参数</p>"
          },
          {
            "group": "Success 200",
            "type": "int",
            "optional": false,
            "field": "logCount",
            "description": "<p>总记录数</p>"
          },
          {
            "group": "Success 200",
            "type": "List",
            "optional": false,
            "field": "logList",
            "description": "<p>列表</p>"
          },
          {
            "group": "Success 200",
            "type": "Object",
            "optional": false,
            "field": "logList.logInfo",
            "description": "<p>进出信息对象</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "logList.logInfo.userId",
            "description": "<p>用户ID</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "logList.logInfo.userName",
            "description": "<p>用户姓名</p>"
          },
          {
            "group": "Success 200",
            "type": "int",
            "optional": false,
            "field": "logList.logInfo.userRole",
            "description": "<p>用户角色</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "logList.logInfo.joinTime",
            "description": "<p>进入时间</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "logList.logInfo.exitTime",
            "description": "<p>离开时间</p>"
          }
        ]
      },
      "examples": [
        {
          "title": "返回示例",
          "content": "<?xml version=“1.0” encoding=\"UTF-8\"?>\n<result>\n<errorCode>0</errorCode>\n<mtgKey>10002321</mtgKey>\n<logCount>321<logCount>\n<logList>\n    <logInfo>\n        <userId>12000232</userId>\n        <userName>ChinaBj001</userName>\n        <userRole>3</userRole>\n        <joinTime>2013-09-11 14:02:05</joinTime>\n        <exitTime>2013-09-11 14:15:47</exitTime>\n    </logInfo>\n</logList>\n</result>",
          "type": "xml"
        }
      ]
    },
    "filename": "./src/conf_log_total.js",
    "groupTitle": "user"
  },
  {
    "type": "post",
    "url": "/3m/meeting/export_joinlog.do",
    "title": "11.导出站点用户记录",
    "name": "export_joinlog",
    "group": "user",
    "version": "2.1.0",
    "description": "<p>导出站点用户记录，返回Excel下载地址</p>",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "siteId",
            "description": "<p>站点标识</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "beginTime",
            "description": "<p>日志的开始日期。格式：yyyy-MM-dd HH:mm:ss</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "endTime",
            "description": "<p>日志的结束日期。格式：yyyy-MM-dd HH:mm:ss</p>"
          },
          {
            "group": "Parameter",
            "type": "Long",
            "optional": false,
            "field": "timestamp",
            "description": "<p>时间戳</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "authId",
            "description": "<p>MD5(key+siteId+timestamp)</p>"
          }
        ]
      },
      "examples": [
        {
          "title": "请求示例",
          "content": "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n<param>\n<siteId>shanghai</siteId>\n<beginTime>2013-12-01 00:00:00</beginTime>\n<endTime>2013-12-31 00:00:00</endTime>\n<timestamp>1392032123210</timestamp>\n<authId>4297f44b13955235245b2497399d7a93</authId>\n</param>",
          "type": "xml"
        }
      ]
    },
    "success": {
      "fields": {
        "Success 200": [
          {
            "group": "Success 200",
            "type": "int",
            "optional": false,
            "field": "errorCode",
            "description": "<p>0：正常 <br/> 1：siteId 错误，站点不存在或已删除 <br/> 2：站点未到生效日期 <br/> 3: 站点过期 <br/> 4：authId 错误 <br/> 6：timestamp 超时 <br/> 7：mtgKey 不存在 <br/> 10：报文格式错误 <br/> 11：beginTime 格式错误 <br/> 12：endTime 格式错误 <br/> 13：endTime 在 beginTime 之前 <br/></p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "beginTime",
            "description": "<p>传入的值</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "endTime",
            "description": "<p>传入的值</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "excelUrl",
            "description": "<p>Excel文件下载的路径</p>"
          }
        ]
      },
      "examples": [
        {
          "title": "返回示例",
          "content": "<?xml version=“1.0” encoding=\"UTF-8\"?>\n<result>\n<errorCode>0</errorCode>\n<beginTime>2013-12-01 00:00:00</beginTime>\n<endTime>2013-12-31 00:00:00</endTime>\n<excelUrl>meeting/download.do?fileName=1a606b33-5322-4aa8-b98a-c173f08cad3</excelUrl>\n</result>",
          "type": "xml"
        }
      ]
    },
    "filename": "./src/export_joinlog.js",
    "groupTitle": "user"
  },
  {
    "type": "post",
    "url": "/3m/meeting/max_class_online.do",
    "title": "20.查询课堂最大在线人数",
    "name": "max_class_online",
    "group": "user",
    "version": "2.1.0",
    "description": "<p>查询课堂最大在线人数</p>",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "siteId",
            "description": "<p>站点标识</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "mtgKey",
            "description": "<p>课堂的唯一标识，由第三方维护，最大长度64</p>"
          },
          {
            "group": "Parameter",
            "type": "Long",
            "optional": false,
            "field": "timestamp",
            "description": "<p>时间戳</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "authId",
            "description": "<p>MD5(key+siteId+mtgKey+timestamp), 其中 key 为与系统约定的加密 key</p>"
          }
        ]
      },
      "examples": [
        {
          "title": "请求示例",
          "content": "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n<param>\n    <siteId>shanghai</siteId>\n    <mtgKey>10002321</mtgKey>\n    <timestamp>1392032123210</timestamp>\n    <authId>4297f44b13955235245b2497399d7a93</authId>\n</param>",
          "type": "xml"
        }
      ]
    },
    "success": {
      "fields": {
        "Success 200": [
          {
            "group": "Success 200",
            "type": "int",
            "optional": false,
            "field": "errorCode",
            "description": "<p>0：正常 <br/> 1：siteId 错误 <br/> 2：站点未到生效日期 <br/> 3: 站点过期 <br/> 4：authId 错误 <br/> 5：authId 不能重复使用 <br/> 6：timestamp 超时 <br/> 7：mtgKey 不存在 <br/> 10：报文格式错误 <br/></p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "mtgKey",
            "description": "<p>传入的参数</p>"
          },
          {
            "group": "Success 200",
            "type": "int",
            "optional": false,
            "field": "online",
            "description": "<p>人数</p>"
          }
        ]
      },
      "examples": [
        {
          "title": "返回示例",
          "content": "<?xml version=“1.0” encoding=\"UTF-8\"?>\n<result>\n    <errorCode>0</errorCode>\n    <mtgKey>10002321</mtgKey>\n    <online>6</online>\n</result>",
          "type": "xml"
        }
      ]
    },
    "filename": "./src/max_class_online.js",
    "groupTitle": "user"
  }
] });
